package com.mxnavi.tspv2.authservice.model;

/**
 * Created by lenovo on 2016/11/11.
 */
public class SoftActiveRequest {
    String productId;
    String deviceNo;
    String softVer;
    String dataVer;
    boolean encryption;
    int activeMode;
    /**
     * 获取 产品系列。由项目组来统一制定，要求同一个厂商不能够重复，各id代表那个厂商项目在项目部会有一个完整的记录。
     * @return
     */
    public String getProductId() {
        return productId;
    }

    /**
     * 设置 产品系列。由项目组来统一制定，要求同一个厂商不能够重复，各id代表那个厂商项目在项目部会有一个完整的记录。
     * @param productId
     */
    public void setProductId(String productId) {
        this.productId = productId;
    }

    /**
     * 获取 车机原始序列号，能够唯一定义一个设备。要求设备序列号不能够重复。
     * @return
     */
    public String getDeviceNo() {
        return deviceNo;
    }

    /**
     * 设置 车机原始序列号，能够唯一定义一个设备。要求设备序列号不能够重复。
     * @param deviceNo
     */
    public void setDeviceNo(String deviceNo) {
        this.deviceNo = deviceNo;
    }

    /**
     * 获取 生产系统 软件版本号
     * @return
     */
    public String getSoftVer() {
        return softVer;
    }

    /**
     * 设置 生产系统 软件版本号
     * @param softVer
     */
    public void setSoftVer(String softVer) {
        this.softVer = softVer;
    }

    /**
     * 获取 初始数据版本
     * @return
     */
    public String getDataVer() {
        return dataVer;
    }

    /**
     * 设置 初始数据版本
     * @param dataVer
     */
    public void setDataVer(String dataVer) {
        this.dataVer = dataVer;
    }

    /**
     * 获取 标识硬件序列号是否加密；false：未加密；true：已加密
     * @return
     */
    public boolean isEncryption() {
        return encryption;
    }

    /**
     * 设置 标识硬件序列号是否加密；false：未加密；true：已加密
     * @param encryption
     */
    public void setEncryption(boolean encryption) {
        this.encryption = encryption;
    }

    /**
     * 获取 激活方式0:车机激活1:网站激活，2:PC工具（包括4S店版和个人版）3：api激活
     * @return
     */
    public int getActiveMode() {
        return activeMode;
    }

    /**
     * 设置 激活方式0:车机激活1:网站激活，2:PC工具（包括4S店版和个人版）3：api激活
     * @param activeMode
     */
    public void setActiveMode(int activeMode) {
        this.activeMode = activeMode;
    }
}
