package com.mxnavi.tspv2.car.model;

/**
 * Created by Administrator on 2017/11/23.
 */

public class QueryMyCarInfoResult {
    String carPlateNo;
    String carBrand;
    String carType;
    String fuelType;
    String engineNo;
    String carVin;
    String buyTime;
    String insuranceTime;
    int isMajor;

    /**
     * 获取车牌号码
     * @return
     */
    public String getCarPlateNo() {
        return carPlateNo;
    }

    /**
     * 设置车牌号码
     * @param carPlateNo
     */
    public void setCarPlateNo(String carPlateNo) {
        this.carPlateNo = carPlateNo;
    }

    /**
     * 获取车辆品牌
     * @return
     */
    public String getCarBrand() {
        return carBrand;
    }

    /**
     * 设置车辆品牌
     * @param carBrand
     */
    public void setCarBrand(String carBrand) {
        this.carBrand = carBrand;
    }

    /**
     * 获取车辆类型
     * @return
     */
    public String getCarType() {
        return carType;
    }

    /**
     * 设置车辆类型
     * @param carType
     */
    public void setCarType(String carType) {
        this.carType = carType;
    }

    /**
     * 获取燃油类型
     * @return
     */
    public String getFuelType() {
        return fuelType;
    }

    /**
     * 设置燃油类型
     * @param fuelType
     */
    public void setFuelType(String fuelType) {
        this.fuelType = fuelType;
    }

    /**
     * 获取发动机号
     * @return
     */
    public String getEngineNo() {
        return engineNo;
    }

    /**
     * 设置发动机号
     * @param engineNo
     */
    public void setEngineNo(String engineNo) {
        this.engineNo = engineNo;
    }

    /**
     * 获取车架号码
     * @return
     */
    public String getCarVin() {
        return carVin;
    }

    /**
     * 设置车架号码
     * @param carVin
     */
    public void setCarVin(String carVin) {
        this.carVin = carVin;
    }

    /**
     * 获取购车日期，格式:yyyy-MM-dd
     * @return
     */
    public String getBuyTime() {
        return buyTime;
    }

    /**
     * 设置购车日期，格式:yyyy-MM-dd
     * @param buyTime
     */
    public void setBuyTime(String buyTime) {
        this.buyTime = buyTime;
    }

    /**
     * 获取保险到期，格式:yyyy-MM-dd
     * @return
     */
    public String getInsuranceTime() {
        return insuranceTime;
    }

    /**
     * 设置保险到期，格式:yyyy-MM-dd
     * @param insuranceTime
     */
    public void setInsuranceTime(String insuranceTime) {
        this.insuranceTime = insuranceTime;
    }

    /**
     * 获取是到否是主车辆
     * @return
     */
    public int getIsMajor() {
        return isMajor;
    }

    /**
     * 设置是否是主车辆
     * @param isMajor 1:主车辆， 0：不是主车辆
     */
    public void setIsMajor(int isMajor) {
        this.isMajor = isMajor;
    }
}
