package com.mxnavi.tspv2.carauth.model;

/**
 * Created by cikai on 2018/6/19.
 */
public class ListVehicleInfoResult {

    // 产品系列
    private String productId;

    // 车辆唯一标识(无法修改)
    private String vin;

    // 车牌号
    private String licensePlate;

    // 品牌ID
    private String vehicleBrandId;

    // 品牌名称
    private String vehicleBrandName;

    // 车系ID
    private String vehicleSeriesId;

    // 车系名称
    private String vehicleSeriesName;

    // 车型ID
    private String vehicleModelId;

    // 车型名称
    private String vehicleModelName;

    // 车辆性质
    private String vehicleProperties;

    // 车辆销售省份名称
    private String dealerProvince;

    // 车辆销售城市名称
    private String dealerCity;

    // 运营单位
    private String operatingCompany;

    // 车辆类型（纯电、混动）
    private String vehicleCategory;

    // 车主类型
    private String vehicleOwnerType;

    // 联系人姓名
    private String contactName;

    // 联系人电话
    private String contactPhone;

    // 累计里程
    private String totalMileage;

    // 生产日期
    private String manufactureDate;

    // 车辆用途
    private String vehicleUse;

    // Ekg值
    private String ekgValue;

    // 公告批次
    private String bulletinBatch;

    // 购买价格
    private String vehiclePrice;

    // 销售发票编号
    private String invoiceNum;

    // 销售发票时间
    private String invoiceDate;

    // 车辆行驶证时间
    private String driverLicenseDate;

    // 电池单体型号
    private String batteryModel;

    // 电池单体生产企业
    private String batteryManufacturer;

    // 电池包成箱型号
    private String batteryPackModel;

    // 电池组总能量
    private String batteryPackEnergy;

    // 电池包生产企业
    private String batteryPackManufacturer;

    // 电池包系统价格
    private String batteryPackSystemPrice;

    // 电池包质保年限
    private String batteryPackWarrantyPeriod;

    // 驱动电机型号（与公告一致）
    private String motorModel;

    // 驱动电机额定功率
    private String motorRatedPower;

    // 驱动电机生产企业
    private String motorManufacturer;

    // 驱动电机系统价格
    private String motorSystemPrice;

    // 终端ID
    private String tboxId;

    // 驱动电机编号
    private String motorNum;

    // 发动机编号
    private String engineNum;

    // tbox手机号
    private String mdn;

    // 运营商名称
    private String operatorName;

    // 入网时间
    private String internetDate;

    // 销售发票照片
    private String invoicePhoto;

    // 上报标识（0：未上报 1：已上报）
    private String reportFlag;

    /**
     * 获取产品系列
     *
     * @return
     */
    public String getProductId() {
        return productId;
    }

    /**
     * 设置产品系列
     *
     * @param productId
     */
    public void setProductId(String productId) {
        this.productId = productId;
    }

    /**
     * 获取车辆唯一标识(无法修改)
     *
     * @return
     */
    public String getVin() {
        return vin;
    }

    /**
     * 设置车辆唯一标识(无法修改)
     *
     * @param vin
     */
    public void setVin(String vin) {
        this.vin = vin;
    }

    /**
     * 获取车牌号
     *
     * @return
     */
    public String getLicensePlate() {
        return licensePlate;
    }

    /**
     * 设置车牌号
     *
     * @param licensePlate
     */
    public void setLicensePlate(String licensePlate) {
        this.licensePlate = licensePlate;
    }

    /**
     * 获取品牌ID
     *
     * @return
     */
    public String getVehicleBrandId() {
        return vehicleBrandId;
    }

    /**
     * 设置品牌ID
     *
     * @param vehicleBrandId
     */
    public void setVehicleBrandId(String vehicleBrandId) {
        this.vehicleBrandId = vehicleBrandId;
    }

    /**
     * 获取品牌名称
     *
     * @return
     */
    public String getVehicleBrandName() {
        return vehicleBrandName;
    }

    /**
     * 设置品牌名称
     *
     * @param vehicleBrandName
     */
    public void setVehicleBrandName(String vehicleBrandName) {
        this.vehicleBrandName = vehicleBrandName;
    }

    /**
     * 获取车系ID
     *
     * @return
     */
    public String getVehicleSeriesId() {
        return vehicleSeriesId;
    }

    /**
     * 设置车系ID
     *
     * @param vehicleSeriesId
     */
    public void setVehicleSeriesId(String vehicleSeriesId) {
        this.vehicleSeriesId = vehicleSeriesId;
    }

    /**
     * 获取车系名称
     *
     * @return
     */
    public String getVehicleSeriesName() {
        return vehicleSeriesName;
    }

    /**
     * 设置车系名称
     *
     * @param vehicleSeriesName
     */
    public void setVehicleSeriesName(String vehicleSeriesName) {
        this.vehicleSeriesName = vehicleSeriesName;
    }

    /**
     * 获取车型ID
     *
     * @return
     */
    public String getVehicleModelId() {
        return vehicleModelId;
    }

    /**
     * 设置车型ID
     *
     * @param vehicleModelId
     */
    public void setVehicleModelId(String vehicleModelId) {
        this.vehicleModelId = vehicleModelId;
    }

    /**
     * 获取车型名称
     *
     * @return
     */
    public String getVehicleModelName() {
        return vehicleModelName;
    }

    /**
     * 设置车型名称
     *
     * @param vehicleModelName
     */
    public void setVehicleModelName(String vehicleModelName) {
        this.vehicleModelName = vehicleModelName;
    }

    /**
     * 获取车辆性质
     *
     * @return
     */
    public String getVehicleProperties() {
        return vehicleProperties;
    }

    /**
     * 设置车辆性质
     *
     * @param vehicleProperties
     */
    public void setVehicleProperties(String vehicleProperties) {
        this.vehicleProperties = vehicleProperties;
    }

    /**
     * 获取车辆销售省份名称
     *
     * @return
     */
    public String getDealerProvince() {
        return dealerProvince;
    }

    /**
     * 设置车辆销售省份名称
     *
     * @param dealerProvince
     */
    public void setDealerProvince(String dealerProvince) {
        this.dealerProvince = dealerProvince;
    }

    /**
     * 获取车辆销售城市名称
     *
     * @return
     */
    public String getDealerCity() {
        return dealerCity;
    }

    /**
     * 设置车辆销售城市名称
     *
     * @param dealerCity
     */
    public void setDealerCity(String dealerCity) {
        this.dealerCity = dealerCity;
    }

    /**
     * 获取运营单位
     *
     * @return
     */
    public String getOperatingCompany() {
        return operatingCompany;
    }

    /**
     * 设置运营单位
     *
     * @param operatingCompany
     */
    public void setOperatingCompany(String operatingCompany) {
        this.operatingCompany = operatingCompany;
    }

    /**
     * 获取车辆类型（纯电、混动）
     *
     * @return
     */
    public String getVehicleCategory() {
        return vehicleCategory;
    }

    /**
     * 设置车辆类型（纯电、混动）
     *
     * @param vehicleCategory
     */
    public void setVehicleCategory(String vehicleCategory) {
        this.vehicleCategory = vehicleCategory;
    }

    /**
     * 获取车主类型
     *
     * @return
     */
    public String getVehicleOwnerType() {
        return vehicleOwnerType;
    }

    /**
     * 设置车主类型
     *
     * @param vehicleOwnerType
     */
    public void setVehicleOwnerType(String vehicleOwnerType) {
        this.vehicleOwnerType = vehicleOwnerType;
    }

    /**
     * 获取联系人姓名
     *
     * @return
     */
    public String getContactName() {
        return contactName;
    }

    /**
     * 设置联系人姓名
     *
     * @param contactName
     */
    public void setContactName(String contactName) {
        this.contactName = contactName;
    }

    /**
     * 获取联系人电话
     *
     * @return
     */
    public String getContactPhone() {
        return contactPhone;
    }

    /**
     * 设置联系人电话
     *
     * @param contactPhone
     */
    public void setContactPhone(String contactPhone) {
        this.contactPhone = contactPhone;
    }

    /**
     * 获取累计里程
     *
     * @return
     */
    public String getTotalMileage() {
        return totalMileage;
    }

    /**
     * 设置累计里程
     *
     * @param totalMileage
     */
    public void setTotalMileage(String totalMileage) {
        this.totalMileage = totalMileage;
    }

    /**
     * 获取生产日期
     *
     * @return
     */
    public String getManufactureDate() {
        return manufactureDate;
    }

    /**
     * 设置生产日期
     *
     * @param manufactureDate
     */
    public void setManufactureDate(String manufactureDate) {
        this.manufactureDate = manufactureDate;
    }

    /**
     * 获取车辆用途
     *
     * @return
     */
    public String getVehicleUse() {
        return vehicleUse;
    }

    /**
     * 设置车辆用途
     *
     * @param vehicleUse
     */
    public void setVehicleUse(String vehicleUse) {
        this.vehicleUse = vehicleUse;
    }

    /**
     * 获取Ekg值
     *
     * @return
     */
    public String getEkgValue() {
        return ekgValue;
    }

    /**
     * 设置Ekg值
     *
     * @param ekgValue
     */
    public void setEkgValue(String ekgValue) {
        this.ekgValue = ekgValue;
    }

    /**
     * 获取公告批次
     *
     * @return
     */
    public String getBulletinBatch() {
        return bulletinBatch;
    }

    /**
     * 设置公告批次
     *
     * @param bulletinBatch
     */
    public void setBulletinBatch(String bulletinBatch) {
        this.bulletinBatch = bulletinBatch;
    }

    /**
     * 获取购买价格
     *
     * @return
     */
    public String getVehiclePrice() {
        return vehiclePrice;
    }

    /**
     * 设置购买价格
     *
     * @param vehiclePrice
     */
    public void setVehiclePrice(String vehiclePrice) {
        this.vehiclePrice = vehiclePrice;
    }

    /**
     * 获取销售发票编号
     *
     * @return
     */
    public String getInvoiceNum() {
        return invoiceNum;
    }

    /**
     * 设置销售发票编号
     *
     * @param invoiceNum
     */
    public void setInvoiceNum(String invoiceNum) {
        this.invoiceNum = invoiceNum;
    }

    /**
     * 获取销售发票时间
     *
     * @return
     */
    public String getInvoiceDate() {
        return invoiceDate;
    }

    /**
     * 设置销售发票时间
     *
     * @param invoiceDate
     */
    public void setInvoiceDate(String invoiceDate) {
        this.invoiceDate = invoiceDate;
    }

    /**
     * 获取车辆行驶证时间
     *
     * @return
     */
    public String getDriverLicenseDate() {
        return driverLicenseDate;
    }

    /**
     * 设置车辆行驶证时间
     *
     * @param driverLicenseDate
     */
    public void setDriverLicenseDate(String driverLicenseDate) {
        this.driverLicenseDate = driverLicenseDate;
    }

    /**
     * 获取电池单体型号
     *
     * @return
     */
    public String getBatteryModel() {
        return batteryModel;
    }

    /**
     * 设置电池单体型号
     *
     * @param batteryModel
     */
    public void setBatteryModel(String batteryModel) {
        this.batteryModel = batteryModel;
    }

    /**
     * 获取电池单体生产企业
     *
     * @return
     */
    public String getBatteryManufacturer() {
        return batteryManufacturer;
    }

    /**
     * 设置电池单体生产企业
     *
     * @param batteryManufacturer
     */
    public void setBatteryManufacturer(String batteryManufacturer) {
        this.batteryManufacturer = batteryManufacturer;
    }

    /**
     * 获取电池包成箱型号
     *
     * @return
     */
    public String getBatteryPackModel() {
        return batteryPackModel;
    }

    /**
     * 设置电池包成箱型号
     *
     * @param batteryPackModel
     */
    public void setBatteryPackModel(String batteryPackModel) {
        this.batteryPackModel = batteryPackModel;
    }

    /**
     * 获取电池组总能量
     *
     * @return
     */
    public String getBatteryPackEnergy() {
        return batteryPackEnergy;
    }

    /**
     * 设置电池组总能量
     *
     * @param batteryPackEnergy
     */
    public void setBatteryPackEnergy(String batteryPackEnergy) {
        this.batteryPackEnergy = batteryPackEnergy;
    }

    /**
     * 获取电池包生产企业
     *
     * @return
     */
    public String getBatteryPackManufacturer() {
        return batteryPackManufacturer;
    }

    /**
     * 设置电池包生产企业
     *
     * @param batteryPackManufacturer
     */
    public void setBatteryPackManufacturer(String batteryPackManufacturer) {
        this.batteryPackManufacturer = batteryPackManufacturer;
    }

    /**
     * 获取电池包系统价格
     *
     * @return
     */
    public String getBatteryPackSystemPrice() {
        return batteryPackSystemPrice;
    }

    /**
     * 设置电池包系统价格
     *
     * @param batteryPackSystemPrice
     */
    public void setBatteryPackSystemPrice(String batteryPackSystemPrice) {
        this.batteryPackSystemPrice = batteryPackSystemPrice;
    }

    /**
     * 获取电池包质保年限
     *
     * @return
     */
    public String getBatteryPackWarrantyPeriod() {
        return batteryPackWarrantyPeriod;
    }

    /**
     * 设置电池包质保年限
     *
     * @param batteryPackWarrantyPeriod
     */
    public void setBatteryPackWarrantyPeriod(String batteryPackWarrantyPeriod) {
        this.batteryPackWarrantyPeriod = batteryPackWarrantyPeriod;
    }

    /**
     * 获取驱动电机型号（与公告一致）
     *
     * @return
     */
    public String getMotorModel() {
        return motorModel;
    }

    /**
     * 设置驱动电机型号（与公告一致）
     *
     * @param motorModel
     */
    public void setMotorModel(String motorModel) {
        this.motorModel = motorModel;
    }

    /**
     * 获取驱动电机额定功率
     *
     * @return
     */
    public String getMotorRatedPower() {
        return motorRatedPower;
    }

    /**
     * 设置驱动电机额定功率
     *
     * @param motorRatedPower
     */
    public void setMotorRatedPower(String motorRatedPower) {
        this.motorRatedPower = motorRatedPower;
    }

    /**
     * 获取驱动电机生产企业
     *
     * @return
     */
    public String getMotorManufacturer() {
        return motorManufacturer;
    }

    /**
     * 设置驱动电机生产企业
     *
     * @param motorManufacturer
     */
    public void setMotorManufacturer(String motorManufacturer) {
        this.motorManufacturer = motorManufacturer;
    }

    /**
     * 获取驱动电机系统价格
     *
     * @return
     */
    public String getMotorSystemPrice() {
        return motorSystemPrice;
    }

    /**
     * 设置驱动电机系统价格
     *
     * @param motorSystemPrice
     */
    public void setMotorSystemPrice(String motorSystemPrice) {
        this.motorSystemPrice = motorSystemPrice;
    }

    /**
     * 获取终端ID
     *
     * @return
     */
    public String getTboxId() {
        return tboxId;
    }

    /**
     * 设置终端ID
     *
     * @param tboxId
     */
    public void setTboxId(String tboxId) {
        this.tboxId = tboxId;
    }

    /**
     * 获取驱动电机编号
     *
     * @return
     */
    public String getMotorNum() {
        return motorNum;
    }

    /**
     * 设置驱动电机编号
     *
     * @param motorNum
     */
    public void setMotorNum(String motorNum) {
        this.motorNum = motorNum;
    }

    /**
     * 获取发动机编号
     *
     * @return
     */
    public String getEngineNum() {
        return engineNum;
    }

    /**
     * 设置发动机编号
     *
     * @param engineNum
     */
    public void setEngineNum(String engineNum) {
        this.engineNum = engineNum;
    }

    /**
     * 获取tbox手机号
     *
     * @return
     */
    public String getMdn() {
        return mdn;
    }

    /**
     * 设置tbox手机号
     *
     * @param mdn
     */
    public void setMdn(String mdn) {
        this.mdn = mdn;
    }

    /**
     * 获取运营商名称
     *
     * @return
     */
    public String getOperatorName() {
        return operatorName;
    }

    /**
     * 设置运营商名称
     *
     * @param operatorName
     */
    public void setOperatorName(String operatorName) {
        this.operatorName = operatorName;
    }

    /**
     * 获取入网时间
     *
     * @return
     */
    public String getInternetDate() {
        return internetDate;
    }

    /**
     * 设置入网时间
     *
     * @param internetDate
     */
    public void setInternetDate(String internetDate) {
        this.internetDate = internetDate;
    }

    /**
     * 获取销售发票照片
     *
     * @return
     */
    public String getInvoicePhoto() {
        return invoicePhoto;
    }

    /**
     * 设置销售发票照片
     *
     * @param invoicePhoto
     */
    public void setInvoicePhoto(String invoicePhoto) {
        this.invoicePhoto = invoicePhoto;
    }

    /**
     * 获取上报标识（0：未上报 1：已上报）
     *
     * @return
     */
    public String getReportFlag() {
        return reportFlag;
    }

    /**
     * 设置上报标识（0：未上报 1：已上报）
     *
     * @param reportFlag
     */
    public void setReportFlag(String reportFlag) {
        this.reportFlag = reportFlag;
    }
}
