package com.mxnavi.tspv2.carauth.model;

/**
 * Created by zhaoll on 2018/9/13.
 */

public class ServiceList {
    /**
     * 服务ID
     */
    String serviceID;
    /**
     * 100服务权限验证通过
     * -5205  服务不可用
     * -5206  服务不存在
     */
    int authCode;
    /**
     * 服务开始时间（格式:YYYY-MM-dd）
     */
    String startTime;
    /**
     * 服务到期时间（-1表示无限制, 格式:YYYY-MM-dd）
     */
    String expireTime;
    /**
     * 服务剩余次数（-1表示无限制）
     */
    String remainingTimes;

    /**
     * 获取 服务ID
     * @return
     */
    public String getServiceID() {
        return serviceID;
    }

    /**
     * 设置 服务ID
     * @param serviceID
     */
    public void setServiceID(String serviceID) {
        this.serviceID = serviceID;
    }

    /**
     * 获取 100服务权限验证通过
     * -5205  服务不可用
     * -5206  服务不存在
     * @return
     */
    public int getAuthCode() {
        return authCode;
    }

    /**
     * 设置 100服务权限验证通过
     * -5205  服务不可用
     * -5206  服务不存在
     * @param authCode
     */
    public void setAuthCode(int authCode) {
        this.authCode = authCode;
    }

    /**
     * 获取 服务开始时间（格式:YYYY-MM-dd）
     * @return
     */
    public String getStartTime() {
        return startTime;
    }

    /**
     * 设置 服务开始时间（格式:YYYY-MM-dd）
     * @param startTime
     */
    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    /**
     * 获取 服务到期时间（-1表示无限制, 格式:YYYY-MM-dd）
     * @return
     */
    public String getExpireTime() {
        return expireTime;
    }

    /**
     * 设置 服务到期时间（-1表示无限制, 格式:YYYY-MM-dd）
     * @param expireTime
     */
    public void setExpireTime(String expireTime) {
        this.expireTime = expireTime;
    }

    /**
     * 获取 服务剩余次数（-1表示无限制）
     * @return
     */
    public String getRemainingTimes() {
        return remainingTimes;
    }

    /**
     * 设置 服务剩余次数（-1表示无限制）
     * @param remainingTimes
     */
    public void setRemainingTimes(String remainingTimes) {
        this.remainingTimes = remainingTimes;
    }
}
