package com.mxnavi.tspv2.carauth.model;

import com.mxnavi.tspv2.model.LatLng;

/**
 * Created by Administrator on 2018/4/19.
 */

public class VehiclePositionInfo {
    String collectionTime;
    int direction;
    LatLng latLng;
    int onlineStatus;

    /**
     * 获取采集时间，格式：yyyy-MM-dd HH:mm:ss
     * @return
     */
    public String getCollectionTime() {
        return collectionTime;
    }

    /**
     * 设置采集时间，格式：yyyy-MM-dd HH:mm:ss
     * @param collectionTime
     */
    public void setCollectionTime(String collectionTime) {
        this.collectionTime = collectionTime;
    }

    /**
     * 获取方向，取值范围0——360
     * @return
     */
    public int getDirection() {
        return direction;
    }

    /**
     * 设置方向，取值范围0——360
     * @param direction
     */
    public void setDirection(int direction) {
        this.direction = direction;
    }

    /**
     * 获取经纬度
     * @return
     */
    public LatLng getLatLng() {
        return latLng;
    }

    /**
     * 设置经纬度
     * @param latLng
     */
    public void setLatLng(LatLng latLng) {
        this.latLng = latLng;
    }

    /**
     * 获取在线状态，0：离线 1：在线
     * @return
     */
    public int getOnlineStatus() {
        return onlineStatus;
    }

    /**
     * 设置在线状态，0：离线 1：在线
     * @param onlineStatus
     */
    public void setOnlineStatus(int onlineStatus) {
        this.onlineStatus = onlineStatus;
    }
}
