package com.mxnavi.tspv2.catering.model;

import com.mxnavi.tspv2.model.LatLng;

/**
 * Created by Administrator on 2018/5/23.
 */

public class QueryBusinessesInfo {
    String deviceNo;
    LatLng latLng;
    String radius;
    String keyword;
    String limit;
    String page;

    /**
     * 获取设备号
     * @return
     */
    public String getDeviceNo() {
        return deviceNo;
    }

    /**
     * 设置设备号
     * @param deviceNo
     */
    public void setDeviceNo(String deviceNo) {
        this.deviceNo = deviceNo;
    }

    /**
     * 获取经纬度
     * @return
     */
    public LatLng getLatLng() {
        return latLng;
    }

    /**
     * 设置经纬度
     * @param latLng
     */
    public void setLatLng(LatLng latLng) {
        this.latLng = latLng;
    }

    /**
     * 获取检索半径，单位是米，最小值-1，最大值5000，默认值为2000
     * @return
     */
    public String getRadius() {
        return radius;
    }

    /**
     * 设置检索半径，单位是米，最小值-1，最大值5000，默认值为2000
     * @param radius
     */
    public void setRadius(String radius) {
        this.radius = radius;
    }

    /**
     * 获取关键词过滤条件，搜索范围包括店铺名、地址、电话号码、标签等
     * @return
     */
    public String getKeyword() {
        return keyword;
    }

    /**
     * 设置关键词过滤条件，搜索范围包括店铺名、地址、电话号码、标签等
     * @param keyword
     */
    public void setKeyword(String keyword) {
        this.keyword = keyword;
    }

    /**
     * 获取最小值1，最大值25，如不传入默认为25
     * @return
     */
    public String getLimit() {
        return limit;
    }

    /**
     * 设置最小值1，最大值25，如不传入默认为25
     * @param limit
     */
    public void setLimit(String limit) {
        this.limit = limit;
    }

    /**
     * 获取页码，最大为100页，超过100页返回第100页数据，如不传入默认为1，即第一页
     * @return
     */
    public String getPage() {
        return page;
    }

    /**
     * 设置页码，最大为100页，超过100页返回第100页数据，如不传入默认为1，即第一页
     * @param page
     */
    public void setPage(String page) {
        this.page = page;
    }
}
