package com.mxnavi.tspv2.chargerStation.model;

import com.mxnavi.tspv2.model.LatLng;

/**
 * Created by Administrator on 2018/5/21.
 */

public class SearchAroundInfo {
    LatLng latLng;
    int radius;
    int stationType;
    int supportOrder;

    /**
     * 获取经纬度精度，保留小数点后6位
     * @return
     */
    public LatLng getLatLng() {
        return latLng;
    }

    /**
     * 设置经纬度精度，保留小数点后6位
     * @param latLng
     */
    public void setLatLng(LatLng latLng) {
        this.latLng = latLng;
    }

    /**
     * 获取半径(单位：米)
     * @return
     */
    public int getRadius() {
        return radius;
    }

    /**
     * 设置半径(单位：米)
     * @param radius
     */
    public void setRadius(int radius) {
        this.radius = radius;
    }

    /**
     * 获取类型1：公共50：个人100：公交（专用）101：环卫（专用）102：物流（专用）103：出租车（专用）255：其他
     * @return
     */
    public int getStationType() {
        return stationType;
    }

    /**
     * 获取类型1：公共50：个人100：公交（专用）101：环卫（专用）102：物流（专用）103：出租车（专用）255：其他
     * @param stationType
     */
    public void setStationType(int stationType) {
        this.stationType = stationType;
    }

    /**
     * 获取充电设备是否需要提前预约后才能使用。0为不支持预约、1为支持预约。不填默认为0
     * @return
     */
    public int getSupportOrder() {
        return supportOrder;
    }

    /**
     * 设置充电设备是否需要提前预约后才能使用。0为不支持预约、1为支持预约。不填默认为0
     * @param supportOrder
     */
    public void setSupportOrder(int supportOrder) {
        this.supportOrder = supportOrder;
    }
}
