package com.mxnavi.tspv2.core;

import com.mxnavi.tspv2.core.config.ConnectTypeInfo;

import java.util.HashMap;
import java.util.Map;

/**
 * Created by Administrator on 2016/3/28.
 */
public class Config {

	// 测试环境 1.0
//    public static final String TCPHOST = "mx-t10-longlived-inner-test.mxnavi.com";
//    public static final int TCPPORT = 8475;
//    public static String HTTP_URL = "http://mx-t10-http-inner-test.mxnavi.com:8102/mx_dspt/requestDSPT";

    // 正式环境 1.0
//    public static final String TCPHOST = "mx-t10-longlived-v1.mxnavi.com";
//    public static final int TCPPORT = 8473;
//    public static String HTTP_URL = "http://mx-t10-http-v1.mxnavi.com:8100/mx_dspt/requestDSPT";

    // 测试环境 2.0
//    public static final String TCPHOST = "mx-tsp2-dspt-tcp-sy.mxnavi.com";
//    public static final int TCPPORT = 8989;
//    public static String HTTP_URL = "http://mx-tsp2-dspt-http-sy.mxnavi.com:80/mx_dspt/requestDSPT";
    
    // 正式环境 2.0
 	public static final String TCPHOST = "mx-tsp2-dspt-tcp-ca.mxnavi.com";
 	public static final int TCPPORT = 8989;
 	public static String HTTP_URL = "http://mx-tsp2-dspt-http-ca.mxnavi.com:80/mx_dspt/requestDSPT";
    
    public static final String HTTP_PATH = "/mx_dspt/requestDSPT";

    public static Map<Integer, ConnectTypeInfo> conectInfomap = new HashMap<Integer, ConnectTypeInfo>();
    public static Map<String, Integer> serviceTypeNameMap = new HashMap<String, Integer>();
    // 设置成TCP连接的模块数量
    static public int hasTcpConnect = 0;
    // 设置成http连接的模块数量
    static public int hasHttpConnect = 0;
    // 外网
//    public final static String TCPHOST = "61.161.201.199";
//    public final  static int TCPPORT = 8475;

    public final static int INITIALDELAY = 10;
    public final static int INTERVAL = 12;
    // 域名解析D+地址
    public static final String DPlUS_URL = "http://119.29.29.29/d?ttl=1&dn=";


    public static String VIN = "";
    /**
     * 产品线ID
     */
    public static int CUSTOMER_KEY = 0;
    public static String SECRETKEY = "";
    //设备类型
    public static int DEVICE_TYPE = 2;
    public static String PURPOSE = "0";

    public static String APPID = "";
    // 默认接口超时时间
    public static final int DEFAULT_TIMEOUT_SECS = 30;
    public static final int HIGH_PRIORITY_WAIT_TIME = 10;

    // 优先级定义
    public static final int PRIORITY_HIGH = 2;
    public static final int PRIORITY_MIDDLE = 1;
    public static final int PRIORITY_LOW = 0;
    // 默认接口优先级为中
    public static final int DEFAULT_PRIORITY = PRIORITY_MIDDLE;

    public static final String MUSIC_SECRET_KEY = "3422d9945345b523615181496817b20c";

    //    // 行车记录仪协议版本号
//    public static final int DRIVING_RECORD_SERVICEDATAVER = 0x0100;
//    // 用户管理协议版本号
//    public static final int USER_SERVICEDATAVER = 0x0100;
//    //用户ID绑定设备版本号
//    public static final int MNS_SERVICEDATAVER = 0x0100;
//   // OTA升级协议版本号
//    public static final int OTA_SERVICEDATAVER = 0x0100;
//    //微信发送到车协议版本号
//    public static final int SENDTOCAR_SERVICEDATAVER = 0x0100;
//    // 天气预报协议版本号
//    public static final int WEATHER_SERVICEDATAVER = 0x0103;
//    // 违章协议版本号
//    public static final int PECCANCY_SERVICEDATAVER = 0x0100;
//    // FM协议版本号
//    public static final int FM_SERVICEDATAVER = 0x0101;
//    // 位置上传协议版本号
//    public static final int LOCATIONUPLOAD_SERVICEDATAVER = 0x0100;
//    // 获取设备最新上传的位置协议版本号
//    public static final int LOCATION_SERVICEDATAVER = 0x0100;
//    // 动态加油站协议版本号
//    public static final int  GASSTATION_SERVICEDATAVER = 0x0103;
//    // 动态停车场协议版本号
//    public static final int  PARKINGLOTS_SERVICEDATAVER = 0x0100;
//    // 代驾服务协议版本号
//    public static final int  DRIVING_SERVICEDATAVER = 0x0100;
//    // 新闻协议版本号
//    public static final int   NEWS_SERVICEDATAVER = 0x0100;
//    // 限行协议版本号
//    public static final int   TRS_SERVICEDATAVER = 0x0100;
//    // 服务集成协议版本号
//    public static final int   SI_SERVICEDATAVER = 0x0100;
//    //升级网点查询协议版本号
//    public static final int   SEARCH_SERVICEDATAVER = 0x0101;
//    //NDS升级(增量更新)协议版本号
//    public static final int   NDS_SERVICEDATAVER = 0x0101;
//    //位置服务(地址Code获取与转换等)协议版本号
//    public static final int   PLACE_SERVICEDATAVER = 0x0101;
//    //鉴权服务协议版本号
//    public static final int   AUTH_RIGHTMANAGEMENT = 0x0103;
    static {
        serviceTypeNameMap.put("DRIVINGRECORD", MxNGTPServiceType.MX_DRIVING_RECORD.getServiceType());
        serviceTypeNameMap.put("DRIVING", MxNGTPServiceType.DRIVING.getServiceType());
        serviceTypeNameMap.put("FM", MxNGTPServiceType.ONLINE_FM.getServiceType());
        serviceTypeNameMap.put("GAS", MxNGTPServiceType.GASSTATION.getServiceType());
        serviceTypeNameMap.put("UPLOAD", MxNGTPServiceType.MX_UPLOAD.getServiceType());//位置上传
        serviceTypeNameMap.put("LOCATION", MxNGTPServiceType.MX_LOCATION.getServiceType());//位置下载
        serviceTypeNameMap.put("NDS_UPGRADE", MxNGTPServiceType.MX_NDS_UPGRADE.getServiceType());//
        serviceTypeNameMap.put("NEWS", MxNGTPServiceType.NEWS.getServiceType());
        serviceTypeNameMap.put("OTA", MxNGTPServiceType.MX_OTA.getServiceType());
        serviceTypeNameMap.put("PARK", MxNGTPServiceType.PARKINGLOTS.getServiceType());
        serviceTypeNameMap.put("ILLEGAL", MxNGTPServiceType.VIOLATION.getServiceType());//车辆违章、
        serviceTypeNameMap.put("VIOLATION_NEW", MxNGTPServiceType.VIOLATION_NEW.getServiceType());//车辆违章(新)
        serviceTypeNameMap.put("SEARCH_GD", MxNGTPServiceType.MX_SEARCH_GD.getServiceType());
        serviceTypeNameMap.put("SEND_TO_CAR", MxNGTPServiceType.SEND_TO_CAR.getServiceType());
        serviceTypeNameMap.put("SI", MxNGTPServiceType.MX_SI.getServiceType());
        serviceTypeNameMap.put("VEHICLE_RESTRICTION", MxNGTPServiceType.MX_VEHICLE_RESTRICTION.getServiceType());
        serviceTypeNameMap.put("USER_MANAGE", MxNGTPServiceType.MX_USER_MANAGE.getServiceType());
        serviceTypeNameMap.put("WEATHER", MxNGTPServiceType.WEATHER.getServiceType());
        serviceTypeNameMap.put("MNS", MxNGTPServiceType.MX_MNS.getServiceType());
        serviceTypeNameMap.put("MX_PLACE", MxNGTPServiceType.MX_PLACE.getServiceType());
        serviceTypeNameMap.put("AUTH", MxNGTPServiceType.MX_AUTH.getServiceType());
        serviceTypeNameMap.put("FLOW_CONTROL", MxNGTPServiceType.MX_FLOW_CONTROL.getServiceType());
        serviceTypeNameMap.put("CITYDETAIL", MxNGTPServiceType.MX_SEARCH_GD_CITYDETAIL.getServiceType());
        serviceTypeNameMap.put("MX_MUSIC", MxNGTPServiceType.MX_MUSIC.getServiceType());
        serviceTypeNameMap.put("USER_AUTH", MxNGTPServiceType.USER_AUTH.getServiceType());
        serviceTypeNameMap.put("CHARGER_STATION", MxNGTPServiceType.CHARGER_STATION.getServiceType());
        serviceTypeNameMap.put("HOTEL", MxNGTPServiceType.HOTEL.getServiceType());
        serviceTypeNameMap.put("CATERING", MxNGTPServiceType.CATERING.getServiceType());
        serviceTypeNameMap.put("MONITOR_INTEGRATOR", MxNGTPServiceType.MONITOR_INTEGRATOR.getServiceType());
        serviceTypeNameMap.put("MESSAGE_PUSH", MxNGTPServiceType.MESSAGE_PUSH.getServiceType());
        serviceTypeNameMap.put("MX_VEHICLE",MxNGTPServiceType.MX_VEHICLE.getServiceType());
    }

    public enum MxNGTPServiceType {
        MX_ROUTE_CALC(0, 0x0100),
//      MX_SEARCH(1,0x0101),
//      MX_TMC(2,0x0101),
//        服务版本0x101是GD，0x150是SW，0x200是EMG
        MX_PLACE(3, 0x0101), //位置服务（获取行政区划列表）
//        MX_PLACE(3,0x0180), //位置服务（获取行政区划列表）
        MX_NDS_UPGRADE(4, 0x0101),//NDS升级
        MX_AUTH(5, 0x0103), //鉴权服务
        MX_USER_MANAGE(6, 0x0100), // 用户管理
        MX_VEHICLE_RESTRICTION(7, 0x0100),//汽车限行
//        MX_SHOP(8,0x0100),
        MX_SEARCH_GD(9, 0x0101), //检索-（升级网点）
        MX_SEARCH_GD_CITYDETAIL(9, 0x0200), //行政区详情获取
        MX_DRIVING_RECORD(10, 0x0100),//行车记录仪
        MX_OTA(11, 0x0100),      //OTA升级,导航软件的版本升级
        MX_OTA_TBOX(11, 0x101),  //OTA升级, tbox软件版本升级
        MX_SI(12, 0x0100),          // 服务集成
        MX_UPLOAD(13, 0x0100),//位置上传
        MX_LOCATION(14, 0x0100),//位置服务(获取当前位置等)
        MX_MNS(15, 0x0100),   //用户ID绑定设备版本号,消息通知
        MX_CLOUD_COLL(16,0x0100),
//      MX_USER_BEHAVIOR_COLL(17,0x0100),
//      MX_TRAVEL_STEWARD(18,0x0100),
        MX_FLOW_CONTROL(19, 0x0100),
//        MX_NDS_DOWNLOAD(20,0x0100),//
        MX_BIG_DATA_MINING(24, 0x100),   // 大数据挖掘服务
        REMOTE_CONTROL(36, 0x0100),//车辆远程控制

        NEWS(65, 0x0100),//新闻
        WEATHER(66, 0x0103),//天气
        VIOLATION(67, 0x0100),//汽车违章
        VIOLATION_NEW(67, 0x0101),//汽车违章(新)
        GASSTATION(68, 0x0103),//动态加油站服务
        PARKINGLOTS(69, 0x0100),//动态停车场服务
        ONLINE_FM(70, 0x0101),//FM
        SEND_TO_CAR(71, 0x0100),//发送到车
        DRIVING(72, 0x0100),//代驾服务
        MX_MUSIC(73, 0x0100),//音乐服务
        CHARGER_STATION(75, 0x0100),//充电桩
        HOTEL(76, 0x0100),//酒店服务
        CATERING(77, 0x0100),//餐饮服务
        USER_AUTH(257, 0x100),//用户鉴权服务
        MONITOR_INTEGRATOR(258, 0x100),//监控集成服务
        MESSAGE_PUSH(259, 0x100),// 消息推送
        MX_VEHICLE(266, 0x0100),  // 车辆鉴权 (新增)
        MX_FEEDBACK(268, 0x0100); // 用户反馈

        private final int serviceType;
        private final int serviceVer;

        private MxNGTPServiceType(int serviceType, int serviceVer) {
            this.serviceType = serviceType;
            this.serviceVer = serviceVer;
        }

        public final int getServiceType() {
            return serviceType;
        }

        public final int getServiceVer() {
            return serviceVer;
        }

    }
}
