package com.mxnavi.tspv2.core;

/**
 * Created by Administrator on 2016/4/13.
 * desc
 */
public class Constants {
    public static final int	RESPCODE_SUCCESS = 100;
    public static final int	RESPCODE_MYLOVECAR = 40101;
    public static final int	PUSHMESSAGE_SUCCESS = 0;
    public static final int	ERROR_CODE_INVALID_ARGUMENT = -300;
    public static final String ERROR_MESSAGE_INVALID_ARGUMENT = "非法参数";
    public static final int	ERROR_CODE_RESPONSEMSG_PARSEERROR = -301;
    public static final String ERROR_MESSAGE_RESPONSEMSG_PARSEERROR = "解析返回值异常"    ;
    public static final int	ERROR_CODE_NETCONNECT_ERROR = -304;
    public static final String ERROR_MESSAGE_NETCONNECT_ERROR = "网络连接失败"    ;
    //DSPT服务器返回错误
    public static final int ERROR_CODE_DSPT =-302    ;

    public static final int CUSTOMER_TOKEN_INVALID_VALUE = 0x0F; // 15: 无效的Dispatcher部token
    public static final int DEVICE_NO_INVALID_VALUE = 0x10; // 16: 无效的设备标识
    public static final int USER_ID_INVALID_VALUE = 0x11; // 17: 无效的用户标识
    public static final int USER_KICKED_OUT = 0x12; // 18: 用户被踢出登陆
    public static final int INTERNAL_ERROR_VALUE = 999; // 999: 内部错误
    /*** server端DSPT的dispatcherData.getErrorCode().getNumber()错误码含义定义
    SERVICE_TYPE_INVALID_VALUE = 0x01; // 1: 无效的服务类型
    CUSTOMER_SIGNATURE_INVALID_VALUE = 0x02; // 2: 无效的Dispatcher部签名
    SERVICE_SIGNATURE_INVALID_VALUE = 0x03; // 3: 无效的Service部签名
    SECURITY_CONTEXT_INVALID_VALUE = 0x04; // 4: 无效的安全算法
    MESSAGE_VERSION_INVALID_VALUE = 0x05; // 5: 无效的消息版本
    MESSAGE_TYPE_INVALID_VALUE = 0x06; // 6: 无效的消息类型
    SERVICE_VERSION_INVALID_VALUE = 0x07; // 7: 无效的服务版本
    CUSTOMER_KEY_INVALID_VALUE = 0x08; // 8: 无效的客户标识
    MESSAGE_ENCODE_ERROR_VALUE = 0x09; // 9: 消息编码错误
    MESSAGE_DECODE_ERROR_VALUE = 0x09; // 9: 消息解码错误
    UNLOGIN_ERROR_VALUE = 0x0A; // 10: 未登录错误
    NETWORK_ERROR_VALUE = 0x0B; // 11: 网络连接错误
    SERVICE_AUTH_ERROR_VALUE = 0x0C; // 12: 服务权限错误
    SERVICE_AUTH_EXPIRED_VALUE = 0x0D; // 13: 服务权限超期
    MESSAGE_DATA_ENCODING_INVALID_VALUE = 0x0E; // 14: 无效的消息数据编码
    CUSTOMER_TOKEN_INVALID_VALUE = 0x0F; // 15: 无效的Dispatcher部token
    DEVICE_NO_INVALID_VALUE = 0x10; // 16: 无效的设备标识
    USER_ID_INVALID_VALUE = 0x11; // 17: 无效的用户标识
    INTERNAL_ERROR_VALUE = 999; // 999: 内部错误
**/

    public static final String[] DSPT_ERROR_MSG = new String[]{"","无效的服务类型",
            "无效的Dispatcher部签名","无效的Service部签名",
            "无效的安全算法",
            "无效的NGTP版本号",
            " 无效的消息类型",
            "无效的Service Data版本",
            "无效的Customer key",
            "Service Data编码错误",
            "未登录错误",
            "网络连接错误",//11
            "服务权限错误",//12
            "服务权限超期",//13
            "无效的消息数据编码",//14
            "无效的Dispatcher部token",//15
            "无效的设备标识",//16
            "无效的用户标识"//17
            };
    public static final String DSPT_UNKNOWN_ERROR="未知错误";
    public static final int DSPT_UNKNOWN_ERROR_CODE = 999;

    public static final int	ERROR_CODE_UPLOADFILE_FAIL = -303;
    public static final String ERROR_MESSAGE_UPLOADFILE_FAIL = "上传文件失败"    ;

    public static final int	ERROR_CODE_GETADMINCODE_FAIL = -305;

    // 审核用户车辆关系
    public static final int	OTHERS_USER_BINDED_FAIL_ERROR_CODE = -1011;
    public static final String	OTHERS_USER_BINDED_FAIL = "该车辆已被其他用户绑定";

    public static final int	OTHERS_GROUP_BINDED_FAIL_ERROR_CODE = -1012;
    public static final String	OTHERS_GROUP_BINDED_FAIL = "该车辆已被其他集团绑定";

    // 查询车辆是否激活
    public static final int MISSING_PARAMETER_ERROR_CODE = -5102;
    public static final String MISSING_PARAMETER_FAIL = "缺失参数";

    public static final int VEHICLE_NOT_EXIS_ERROR_CODE = -5202;
    public static final String VEHICLE_NOT_EXIS_FAIL = "车辆不存在";

    // 整车激活
    public static final int BUSINESS_ORDERS_NOT_EXIST_ERROR_CODE = -5005;
    public static final String BUSINESS_ORDERS_NOT_EXIST_FAIL = "商务订单不存在";

    public static final int VEHICLE_NOT_APPROVED_ERROR_CODE = -5006;
    public static final String VEHICLE_NOT_APPROVED_FAIL = "车辆未审核通过";

    public static final int VIN_ACTIVATE_ERROR_CODE = -5008;
    public static final String VIN_ACTIVATE_FAIL = "vin已经激活";

    // 服务鉴权
    public static final int MISSING_CUSTOEMR_KEY_ERROR_CODE = -5101;
    public static final String MISSING_CUSTOMER_KEY_FAIL = "产品系列不存在";

    public static final int DEVICE_NOT_EXITS_ERROR_CODE = -5202;
    public static final String DEVICE_NOT_EXITS_FAIL = "设备不存在";

    public static final int DEVICE_NO_AVAILABLE_SERVICE_ERROR_CODE = -5203;
    public static final String DEVICE_NO_AVAILABLE_SERVICE_FAIL = "设备无可用服务权限";

    public static final int DEVICE_NO_SERVICE_PERMISSION_ERROR_CODE = -5204;
    public static final String DEVICE_NO_SERVICE_PERMISSION_FAIL = "设备无服务权限";




}
