package com.mxnavi.tspv2.datashare;

import com.mxnavi.tspv2.datashare.model.DeviceInfo;

import org.json.JSONObject;

/**
 * Created by Administrator on 2016/8/4.
 * desc
 */
public interface GetDataFromCarDeviceListener extends ConnectListener{
	/**
	 * 获取车机信息
	 * @param deviceNo 车机设备号
	 * @param customerkey 车机产品线ID
	 * @param secretkey 车机产品线ID对应的key
	 * @param httpServerUrl dspt服务器的HTTP地址
	 * @param infoJson  车机的数据相关信息
	 */
    public void onGetDataFromCarDevice(String deviceNo, String customerkey, String secretkey, String httpServerUrl,JSONObject infoJson);
    /**
     * 已经停止获取车机信息的线程，停止完才可以再次点击获取车机信息按钮
     */
    public void  onStopGetDataFromCarDevice();

}
