package com.mxnavi.tspv2.datashare.model;

/**
 * Created by Administrator on 2016/7/20.
 * desc
 */
public class FileInfo {

    long fileSize;

    String fileRelativePath;

    String md5;

    String fileAllPath;

    long offset = 0;

    // 每次发送的文件的字节
    int sendBufferLength =0;

    public int getSendBufferLength() {
        return sendBufferLength;
    }

    /**
     * 不用设置
     * @param sendBufferLength
     */
    public void setSendBufferLength(int sendBufferLength) {
        this.sendBufferLength = sendBufferLength;
    }

    public long getOffset() {
        return offset;
    }

    /**
     * 设置文件偏移量，不用设置
     * @param offset
     */
    public void setOffset(long offset) {
        this.offset = offset;
    }

    public long getFileSize() {
        return fileSize;
    }

    /**
     *  设置文件总大小，必填
     * @param fileSize
     */
    public void setFileSize(long fileSize) {
        this.fileSize = fileSize;
    }


    public String getFileRelativePath() {
        return fileRelativePath;
    }

    /**
     * 设置文件的相对路径，包括文件名，即文件的文件夹结构，必填，如：T10/base/4600/001.dat
     * @param fileRelativePath
     */
    public void setFileRelativePath(String fileRelativePath) {
        this.fileRelativePath = fileRelativePath;
    }

    public String getFileAllPath() {
        return fileAllPath;
    }

    /**
     * 设置文件的存储全路径，必填，如：SDcard/0/data/T10/base/4600/001.dat
     * @param fileAllPath
     */
    public void setFileAllPath(String fileAllPath) {
        this.fileAllPath = fileAllPath;
    }

    public String getMd5() {
        return md5;
    }

    /**
     * 设置文件的md5后的字符串，必填
     * @param md5
     */
    public void setMd5(String md5) {
        this.md5 = md5;
    }
}
