package com.mxnavi.tspv2.download;

/**
 * Created by Administrator on 2016/8/10.
 * desc
 */
public class DownloadInfo {
    long totalFileSize;
    String downloadTaskId;
    String downloadUrl;
    long startPos; String filePath;
    DownloadPool.DownloadListener downloadListener;

    /**
     * 获取 文件总大小
     * @return
     */
    public long getTotalFileSize() {
        return totalFileSize;
    }

    /**
     * 设置 文件总大小
     * @param totalFileSize
     */
    public void setTotalFileSize(long totalFileSize) {
        this.totalFileSize = totalFileSize;
    }

    public String getDownloadTaskId() {
        return downloadTaskId;
    }

    /**
     * 设置下载任务ID
     * @param downloadTaskId
     */
    public void setDownloadTaskId(String downloadTaskId) {
        this.downloadTaskId = downloadTaskId;
    }

    public String getDownloadUrl() {
        return downloadUrl;
    }

    /**
     * 设置下载url
     * @param downloadUrl
     */
    public void setDownloadUrl(String downloadUrl) {
        this.downloadUrl = downloadUrl;
    }

    public String getFilePath() {
        return filePath;
    }

    /**
     * 设置下载文件存储全路径，包括文件名
     * @param filePath
     */
    public void setFilePath(String filePath) {
        this.filePath = filePath;
    }

    public long getStartPos() {
        return startPos;
    }

    /**
     *  设置下载文件的起始位置，用于断点续传，如果第一次下载则传0，如果下载了一部分，则传已下载文件的大小，单位为字节
     * @return
     */
    public void setStartPos(long startPos) {
        this.startPos = startPos;
    }


    public DownloadPool.DownloadListener getDownloadListener() {
        return downloadListener;
    }

    /**
     * 设置下载结果回调接口
     * @param downloadListener
     */
    public void setDownloadListener(DownloadPool.DownloadListener downloadListener) {
        this.downloadListener = downloadListener;
    }
}
