package com.mxnavi.tspv2.fm.model;

import android.os.Parcel;
import android.os.Parcelable;

import java.io.Serializable;

/**
 * Created by Administrator on 2016/4/21.
 * desc
 */
public class AlbumsSearch implements Parcelable,Serializable {
    String categoryId;
    String keyword;
    int offset;
    int limit;

    public AlbumsSearch() {
    }

    protected AlbumsSearch(Parcel in) {
        categoryId = in.readString();
        keyword = in.readString();
        offset = in.readInt();
        limit = in.readInt();
    }
    public static final Creator<AlbumsSearch> CREATOR = new Creator<AlbumsSearch>() {
        @Override
        public AlbumsSearch createFromParcel(Parcel in) {
            return new AlbumsSearch(in);
        }

        @Override
        public AlbumsSearch[] newArray(int size) {
            return new AlbumsSearch[size];
        }
    };

    public String getCategoryId() {
        return categoryId;
    }

    /**
     * 设置分类id，0表示所有分类的专辑
     * @param categoryId
     */
    public void setCategoryId(String categoryId) {
        this.categoryId = categoryId;
    }

    public String getKeyword() {
        return keyword;
    }

    /**
     * 设置关键词
     * @param keyword
     */
    public void setKeyword(String keyword) {
        this.keyword = keyword;
    }

    public int getOffset() {
        return offset;
    }

    /**
     * 设置从第几条开始取，默认为1
     * @param offset
     */
    public void setOffset(int offset) {
        this.offset = offset;
    }

    public int getLimit() {
        return limit;
    }

    /**
     * 设置取多少条，默认20条
     * @param limit
     */
    public void setLimit(int limit) {
        this.limit = limit;
    }

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(categoryId);
        dest.writeString(keyword);
        dest.writeInt(offset);
        dest.writeInt(limit);

    }
}
