package com.mxnavi.tspv2.fm.model;

import android.os.Parcel;
import android.os.Parcelable;

import java.io.Serializable;

/**
 * Created by Administrator on 2016/4/21.
 * desc
 */
public class Mp3Info implements Parcelable,Serializable {
    String playUrl32;
    int playSize32;
    String playUrl64;
    int playSize64;

    public Mp3Info() {
    }
    protected Mp3Info(Parcel in) {
        playUrl32 = in.readString();
        playSize32 = in.readInt();
        playUrl64 = in.readString();
        playSize64 = in.readInt();
    }
    public static final Creator<Mp3Info> CREATOR = new Creator<Mp3Info>() {
        @Override
        public Mp3Info createFromParcel(Parcel in) {
            return new Mp3Info(in);
        }

        @Override
        public Mp3Info[] newArray(int size) {
            return new Mp3Info[size];
        }
    };
    /**
     * 获取MP3的32位播放地址
     * @return
     */
    public String getPlayUrl32() {
        return playUrl32;
    }

    public void setPlayUrl32(String playUrl32) {
        this.playUrl32 = playUrl32;
    }
    /**
     * 获取MP3的64位声音大小
     * @return
     */
    public int getPlaySize64() {
        return playSize64;
    }

    public void setPlaySize64(int playSize64) {
        this.playSize64 = playSize64;
    }
    /**
     * 获取MP3的64位播放地址
     * @return
     */
    public String getPlayUrl64() {
        return playUrl64;
    }

    public void setPlayUrl64(String playUrl64) {
        this.playUrl64 = playUrl64;
    }
    /**
     * 获取MP3的32位声音大小
     * @return
     */
    public int getPlaySize32() {
        return playSize32;
    }

    public void setPlaySize32(int playSize32) {
        this.playSize32 = playSize32;
    }

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(playUrl32);
        dest.writeInt(playSize32);
        dest.writeString(playUrl64);
        dest.writeInt(playSize64);
    }
}
