package com.mxnavi.tspv2.gasstation.model;

import com.mxnavi.tspv2.model.LatLng;

/**
 * Created by lenovo on 2016/10/17.
 */
public class GasStationListInfo {
    /**
     * 加油站第三方id
     */
    String id;
    /**
     * 加油站经纬度
     */
    LatLng latLng;
    /**
     * 名称（不存在返回“”）
     */
    String name;
    /**
     * 加油站类别（不存在返回“”）
     */
    String type;
    /**
     * 运营商（不存在返回“”）
     */
    String brandname;
    /**
     * 加油站汽油油价
     */
    String gasolinePrice;
    /**
     * 加油站柴油油价
     */
    String dieselOilPrice;
    /**
     * 加油站其他能源油价
     */
    String otherPrice;

    /**
     * 获取 加油站第三方id
     *
     * @return id
     */
    public String getId() {
        return id;
    }

    /**
     * 设置 加油站第三方id
     *
     * @param id the id
     */
    public void setId(String id) {
        this.id = id;
    }


    /**
     * 获取 加油站经纬度
     *
     * @return lat lng
     */
    public LatLng getLatLng() {
        return latLng;
    }

    /**
     * 设置 加油站经纬度
     *
     * @param latLng the lat lng
     */
    public void setLatLng(LatLng latLng) {
        this.latLng = latLng;
    }

    /**
     * 获取 名称（不存在返回“”）
     *
     * @return the name
     */
    public String getName() {
        return name;
    }

    /**
     * 设置 名称（不存在返回“”）
     *
     * @param name the name
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * 获取 加油站类别（不存在返回“”）
     *
     * @return the type
     */
    public String getType() {
        return type;
    }

    /**
     * 设置 加油站类别（不存在返回“”）
     *
     * @param type the type
     */
    public void setType(String type) {
        this.type = type;
    }

    /**
     * 获取 运营商（不存在返回“”）
     *
     * @return the brandname
     */
    public String getBrandname() {
        return brandname;
    }

    /**
     * 设置 运营商（不存在返回“”）
     *
     * @param brandname the brandname
     */
    public void setBrandname(String brandname) {
        this.brandname = brandname;
    }

    /**
     * 获取 加油站汽油油价
     *
     * @return the gasoline price
     */
    public String getGasolinePrice() {
        return gasolinePrice;
    }

    /**
     * 设置 加油站汽油油价
     *
     * @param gasolinePrice the gasoline price
     */
    public void setGasolinePrice(String gasolinePrice) {
        this.gasolinePrice = gasolinePrice;
    }

    /**
     * 获取 加油站柴油油价
     *
     * @return the diesel oil price
     */
    public String getDieselOilPrice() {
        return dieselOilPrice;
    }

    /**
     * 设置 加油站柴油油价
     *
     * @param dieselOilPrice the diesel oil price
     */
    public void setDieselOilPrice(String dieselOilPrice) {
        this.dieselOilPrice = dieselOilPrice;
    }

    /**
     * 获取 加油站其他能源油价
     *
     * @return the other price
     */
    public String getOtherPrice() {
        return otherPrice;
    }

    /**
     * 设置 加油站其他能源油价
     *
     * @param otherPrice the other price
     */
    public void setOtherPrice(String otherPrice) {
        this.otherPrice = otherPrice;
    }
}
