package com.mxnavi.tspv2.hotel.model;

import com.mxnavi.tspv2.model.LatLng;

/**
 * Created by Administrator on 2018/5/22.
 */

public class GetHotelsInfo {
    LatLng latLng;
    String radius;
    String pageIndex;
    String pageSize;
    String arrivalDate;
    String departureDate;

    /**
     * 获取经纬度
     * @return
     */
    public LatLng getLatLng() {
        return latLng;
    }

    /**
     * 设置经纬度
     * @param latLng
     */
    public void setLatLng(LatLng latLng) {
        this.latLng = latLng;
    }

    /**
     * 获取半径 单位：米,最大20000m
     * @return
     */
    public String getRadius() {
        return radius;
    }

    /**
     * 设置半径 单位：米,最大20000m
     * @param radius
     */
    public void setRadius(String radius) {
        this.radius = radius;
    }

    /**
     * 获取页码,默认是1
     * @return
     */
    public String getPageIndex() {
        return pageIndex;
    }

    /**
     * 设置页码,默认是1
     * @param pageIndex
     */
    public void setPageIndex(String pageIndex) {
        this.pageIndex = pageIndex;
    }

    /**
     * 获取取值范围：1-20（pageIndex>0时pageSize为必填，否则分页失败）,默认10
     * @return
     */
    public String getPageSize() {
        return pageSize;
    }

    /**
     * 设置取值范围：1-20（pageIndex>0时pageSize为必填，否则分页失败）,默认10
     * @param pageSize
     */
    public void setPageSize(String pageSize) {
        this.pageSize = pageSize;
    }

    /**
     * 获取入店时间，默认是当天
     * @return
     */
    public String getArrivalDate() {
        return arrivalDate;
    }

    /**
     * 设置入店时间，默认是当天
     * @param arrivalDate
     */
    public void setArrivalDate(String arrivalDate) {
        this.arrivalDate = arrivalDate;
    }

    /**
     * 获取离店时间，默认是两天后
     * @return
     */
    public String getDepartureDate() {
        return departureDate;
    }

    /**
     * 设置离店时间，默认是两天后
     * @param departureDate
     */
    public void setDepartureDate(String departureDate) {
        this.departureDate = departureDate;
    }
}
