package com.mxnavi.tspv2.model;

import android.os.Parcel;
import android.os.Parcelable;

import java.io.Serializable;

/**
 * Created by Administrator on 2016/3/17.
 */
public class TspDate implements Parcelable,Serializable {
    /* year */
    private int			year = 0;

    /* month */
    private int			month = 0;

    /* day */
    private int			day = 0;
    private static final long serialVersionUID = 1L;
    public TspDate() {
    }

    public TspDate(int year, int month, int day) {
        this.year = year;
        this.month = month;
        this.day = day;
    }

    protected TspDate(Parcel in) {
        year = in.readInt();
        month = in.readInt();
        day = in.readInt();
    }

    public static final Creator<TspDate> CREATOR = new Creator<TspDate>() {
        @Override
        public TspDate createFromParcel(Parcel in) {
            return new TspDate(in);
        }

        @Override
        public TspDate[] newArray(int size) {
            return new TspDate[size];
        }
    };

    public int getYear() {
        return year;
    }

    public void setYear(int year) {
        this.year = year;
    }

    public int getMonth() {
        return month;
    }

    public void setMonth(int month) {
        this.month = month;
    }

    public int getDay() {
        return day;
    }

    public void setDay(int day) {
        this.day = day;
    }

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeInt(year);
        dest.writeInt(month);
        dest.writeInt(day);
    }
}
