package com.mxnavi.tspv2.ota.model;

import android.os.Parcel;
import android.os.Parcelable;

import com.mxnavi.tspv2.weather.model.NormalWeatherResult;

/**
 * Created by Administrator on 2016/4/12.
 * desc
 */
public class CheckUpdatesInfo implements Parcelable {
    String currSoftver;
    String productId;
    int type;
    String tdeviceNo;


    /**
     * 获取设置当前的软件版本(可以为空，表示下载最新版本)
     * @return
     */
    public String getCurrSoftver() {
        return currSoftver;
    }

    /**
     * 设置当前的软件版本(可以为空，表示下载最新版本)
     * @param currSoftver
     */
    public void setCurrSoftver(String currSoftver) {
        this.currSoftver = currSoftver;
    }

    /**
     * 获取 产品系列
     * @return
     */
    public String getProductId() {
        return productId;
    }

    /**
     * 设置 产品系列
     * @param productId
     */
    public void setProductId(String productId) {
        this.productId = productId;
    }

    /**
     * 获取 设置升级包类型
     * @return
     */
    public int getType() {
        return type;
    }

    /**
     * 设置升级包类型
     * @param type 升级包类型默认为0 0：推荐（根据size大小）1：差分 2：全包
     */
    public void setType(int type) {
        this.type = type;
    }

    /**
     * 获取 车机号
     * @return
     */
    public String getTdeviceNo() {
        return tdeviceNo;
    }

    /**
     * 设置 车机号
     * @param tdeviceNo
     */
    public void setTdeviceNo(String tdeviceNo) {
        this.tdeviceNo = tdeviceNo;
    }

    public static final Creator<CheckUpdatesInfo> CREATOR = new Creator<CheckUpdatesInfo>() {
        @Override
        public CheckUpdatesInfo createFromParcel(Parcel in) {
            return new CheckUpdatesInfo(in);
        }

        @Override
        public CheckUpdatesInfo[] newArray(int size) {
            return new CheckUpdatesInfo[size];
        }
    };
    protected CheckUpdatesInfo(Parcel in) {
        type = in.readInt();
        productId = in.readString();
        currSoftver = in.readString();
        tdeviceNo = in.readString();
    }
    public CheckUpdatesInfo(){

    }
    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeInt(type);
        dest.writeString(productId);
        dest.writeString(currSoftver);
        dest.writeString(tdeviceNo);
    }
}
