package com.mxnavi.tspv2.ota.model;

import android.os.Parcel;
import android.os.Parcelable;

/**
 * Created by Administrator on 2016/4/12.
 * desc
 */
public class CheckUpdatesResult implements Parcelable {
    int destVer;
    int type;
    String downloadPath;
    long size;
    long publicTime;
    String packageName;
    String verName;
    String detailInfo;

    public CheckUpdatesResult() {
    }

    /**
     * 获取终端请求的包名
     * @return
     */
    public String getPackageName() {
        return packageName;
    }

    /**
     *设置终端请求的包名
     * @param packageName
     */
    public void setPackageName(String packageName) {
        this.packageName = packageName;
    }

    /**
     *获取目标版本名称(可升级版本号)
     * @return
     */
    public String getVerName() {
        return verName;
    }

    /**
     *设置目标版本名称(可升级版本号)
     * @param verName
     */
    public void setVerName(String verName) {
        this.verName = verName;
    }

    /**
     *获取
     * @return
     */

    public int getDestVer() {
        return destVer;
    }

    /**
     *
     * @param destVer
     */
    public void setDestVer(int destVer) {
        this.destVer = destVer;
    }

    /**
     *获取升级包类型：
     * @return （1:差分包，2:全包）
     */
    public int getType() {
        return type;
    }

    /**
     * 设置 获取升级包类型：
     * @param type （1:差分包，2:全包）
     */
    public void setType(int type) {
        this.type = type;
    }

    /**
     * 获取 ota升级包又拍云路径
     * @return
     */
    public String getDownloadPath() {
        return downloadPath;
    }

    /**
     * 设置 ota升级包又拍云路径
     * @param downloadPath
     */
    public void setDownloadPath(String downloadPath) {
        this.downloadPath = downloadPath;
    }

    /**
     * 获取 升级包的大小，单位为：Byte
     * @return
     */
    public long getSize() {
        return size;
    }

    /**
     * 设置  升级包的大小，单位为：Byte
     * @param size
     */
    public void setSize(long size) {
        this.size = size;
    }

    /**
     * 获取 升级包上传时间，格式为：UNIX时间戳
     * @return
     */
    public long getPublicTime() {
        return publicTime;
    }

    /**
     * 设置 升级包上传时间，格式为：UNIX时间戳
     * @param publicTime
     */
    public void setPublicTime(long publicTime) {
        this.publicTime = publicTime;
    }

    /**
     * 获取  详细信息
     * @return
     */
    public String getDetailInfo() {
        return detailInfo;
    }

    /**
     * 设置 详细信息
     * @param detailInfo
     */
    public void setDetailInfo(String detailInfo) {
        this.detailInfo = detailInfo;
    }
    public static final Creator<CheckUpdatesResult> CREATOR = new Creator<CheckUpdatesResult>() {
        @Override
        public CheckUpdatesResult createFromParcel(Parcel in) {
            return new CheckUpdatesResult(in);
        }

        @Override
        public CheckUpdatesResult[] newArray(int size) {
            return new CheckUpdatesResult[size];
        }
    };
    protected CheckUpdatesResult(Parcel in) {
        destVer = in.readInt();
        type = in.readInt();
        downloadPath = in.readString();
        size = in.readLong();
        publicTime = in.readLong();
        packageName = in.readString();
        verName = in.readString();
        detailInfo = in.readString();
    }
    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {

        dest.writeInt(destVer);
        dest.writeInt(type);
        dest.writeString(downloadPath);
        dest.writeLong(size);
        dest.writeLong(publicTime);
        dest.writeString(packageName);
        dest.writeString(verName);
        dest.writeString(detailInfo);
    }
}
