package com.mxnavi.tspv2.parklot.model;

import com.mxnavi.tspv2.model.LatLng;

import java.util.List;

/**
 * Created by Administrator on 2016/5/3.
 * 描述停车场形状类
 */
public class ParkingLotGeometry {
    int type;
    List<LatLng> points;

    /**
     * 获取形状类型
     0:polyline|1:polygon(未取得结果时“-1”)
     * @return
     */
    public int getType() {
        return type;
    }

    /**
     * 设置形状类型
     0:polyline|1:polygon(未取得结果时“-1”)
     * @param type
     */
    public void setType(int type) {
        this.type = type;
    }

    /**
     * 获取形状点，按经纬度lat,lng格式定义点(未取得结果时“”)，两个点间用空格分隔
     * @return
     */
    public List<LatLng> getPoints() {
        return points;
    }

    /**
     * 设置形状点，按经纬度lat,lng格式定义点(未取得结果时“”)，两个点间用空格分隔
     * @param points
     */
    public void setPoints(List<LatLng> points) {
        this.points = points;
    }
}
