package com.mxnavi.tspv2.parklot.model;

import com.mxnavi.tspv2.model.LatLng;

import java.util.List;

/**
 * Created by Administrator on 2016/4/29.
 * desc
 */
public class ParkingLotInfo {
    int id;
    String title;
    LatLng location;
    int typeId;
    int parkingSpaceNum;
    List<String> addresses;
    String phone;
    List<Price> priceschema;
    RealTimeParkLotInfo realTimeParkLotInfo;

    /**
     * 获取停车场唯一ID(未取得结果时“-1”)
     * @return
     */
    public int getId() {
        return id;
    }

    /**
     * 设置停车场唯一ID(未取得结果时“-1”)
     * @param id
     */
    public void setId(int id) {
        this.id = id;
    }

    /**
     * 获取实时停车场信息
     * @return
     */
    public RealTimeParkLotInfo getRealTimeParkLotInfo() {
        return realTimeParkLotInfo;
    }

    /**
     *设置实时停车场信息
     * @param realTimeParkLotInfo
     */
    public void setRealTimeParkLotInfo(RealTimeParkLotInfo realTimeParkLotInfo) {
        this.realTimeParkLotInfo = realTimeParkLotInfo;
    }

    /**
     * 获取经纬度
     * @return
     */
    public LatLng getLocation() {
        return location;
    }

    /**
     * 设置经纬度
     * @param location
     */
    public void setLocation(LatLng location) {
        this.location = location;
    }

    /**
     * 获取停车场类型id（2=on_street, 3=private, 4=carpark/off_street）(未取得结果时“-1”)
     * @return
     */
    public int getTypeId() {
        return typeId;
    }

    /**
     * 设置停车场类型id（2=on_street, 3=private, 4=carpark/off_street）(未取得结果时“-1”)
     * @param typeId
     */
    public void setTypeId(int typeId) {
        this.typeId = typeId;
    }

    /**
     * 获取总车位数(未取得结果时“-1”)
     * @return
     */
    public int getParkingSpaceNum() {
        return parkingSpaceNum;
    }

    /**
     * 设置总车位数(未取得结果时“-1”)
     * @param parkingSpaceNum
     */
    public void setParkingSpaceNum(int parkingSpaceNum) {
        this.parkingSpaceNum = parkingSpaceNum;
    }

    /**
     * 获取停车场名(未取得结果时“”)
     * @return
     */
    public String getTitle() {
        return title;
    }

    /**
     * 设置停车场名(未取得结果时“”)
     * @param title
     */
    public void setTitle(String title) {
        this.title = title;
    }

    /**
     * 获取地址信息
     * @return
     */
    public List<String> getAddresses() {
        return addresses;
    }

    /**
     * 设置地址信息
     * @param addresses
     */
    public void setAddresses(List<String> addresses) {
        this.addresses = addresses;
    }

    /**
     * 获取电话(未取得结果时“”)
     * @return
     */
    public String getPhone() {
        return phone;
    }

    /**
     * 设置电话(未取得结果时“”)
     * @param phone
     */
    public void setPhone(String phone) {
        this.phone = phone;
    }

    /**
     * 获取价格定义
     * @return
     */
    public List<Price> getPriceschema() {
        return priceschema;
    }

    /**
     * 设置价格定义
     * @param priceschema
     */
    public void setPriceschema(List<Price> priceschema) {
        this.priceschema = priceschema;
    }
}
