package com.mxnavi.tspv2.peccancy.model;

import com.mxnavi.tspv2.model.LatLng;

import java.util.List;

/**
 * Created by Administrator on 2016/4/22.
 * desc
 */
public class PeccancyItem {
    LatLng latLng;
    String msg;
    int status;
    List<PeccancyInfo> violationInfos;

    /**
     * 获取经纬度
     * @return
     */
    public LatLng getLatLng() {
        return latLng;
    }

    public void setLatLng(LatLng latLng) {
        this.latLng = latLng;
    }

    /**
     * 获取对查询状态的说明
     * @return
     */
    public String getMsg() {
        return msg;
    }

    /**
     *
     * @param msg
     */
    public void setMsg(String msg) {
        this.msg = msg;
    }

    /**
     * 获取查询状态码，0为成功，-1为失败，5 查询城市不存在/已下线，6 车牌号/发动机/车架号/证书号不正确
     * @return
     */
    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    /**
     * 获取违章详细列表
     * @return
     */
    public List<PeccancyInfo> getViolationInfos() {
        return violationInfos;
    }

    public void setViolationInfos(List<PeccancyInfo> violationInfos) {
        this.violationInfos = violationInfos;
    }
}
