package com.mxnavi.tspv2.remotecontrol.model;

/**
 * Created by zhaoll on 2018/8/20.
 * 充电控制消息(请求/应答)
 * 备注：当查询时只填写commonParam参数，tbox返回当前状态
 */
public class CtrlChargeMsg {
    /**
     * 通用参数
     */
    CtrlCommonParamTbox commonParam;
    /**
     * 充电控制信息
     * Bit: 0-开启关闭
     */
    CtrlCommonInfo chargeCtrlInfo;
    /**
     * 状态信息
     */
    ChargeStateInfo chargeStateInfo;

    /**
     * 获取 通用参数
     * @return
     */
    public CtrlCommonParamTbox getCommonParam() {
        return commonParam;
    }

    /**
     * 设置 通用参数
     * @param commonParam
     */
    public void setCommonParam(CtrlCommonParamTbox commonParam) {
        this.commonParam = commonParam;
    }

    /**
     * 获取 充电控制信息
     * Bit: 0-开启关闭
     * @return
     */
    public CtrlCommonInfo getChargeCtrlInfo() {
        return chargeCtrlInfo;
    }

    /**
     * 设置 充电控制信息
     * Bit: 0-开启关闭
     * @param chargeCtrlInfo
     */
    public void setChargeCtrlInfo(CtrlCommonInfo chargeCtrlInfo) {
        this.chargeCtrlInfo = chargeCtrlInfo;
    }

    /**
     * 获取 状态信息
     * @return
     */
    public ChargeStateInfo getChargeStateInfo() {
        return chargeStateInfo;
    }

    /**
     * 设置 状态信息
     * @param chargeStateInfo
     */
    public void setChargeStateInfo(ChargeStateInfo chargeStateInfo) {
        this.chargeStateInfo = chargeStateInfo;
    }
}
