package com.mxnavi.tspv2.remotecontrol.model;

/**
 * Created by cikai on 2018/8/7.
 * 电子钥匙控制消息(请求/应答)
 * 说明：防盗解除(使能)
 * 备注：当查询时只填写common_param参数，tbox返回当前状态
 */
public class CtrlEkeyMsg {
    /**
     * 通用参数
     */
    CtrlCommonParamTbox commonParam;
    /**
     * 电子钥匙控制信息
     * Bit: 0-远程使能功能允许/禁止
     */
    CtrlCommonInfo ekeyCtrlInfo;
    /**
     * 状态信息
     */
    EkeyStateInfo ekeyStateInfo;

    /**
     * 获取 通用参数
     * @return
     */
    public CtrlCommonParamTbox getCommonParam() {
        return commonParam;
    }

    /**
     * 设置 通用参数
     * @param commonParam
     */
    public void setCommonParam(CtrlCommonParamTbox commonParam) {
        this.commonParam = commonParam;
    }

    /**
     * 获取 电子钥匙控制信息
     * Bit: 0-远程使能功能允许/禁止
     * @return
     */
    public CtrlCommonInfo getEkeyCtrlInfo() {
        return ekeyCtrlInfo;
    }

    /**
     * 设置 电子钥匙控制信息
     * Bit: 0-远程使能功能允许/禁止
     * @param ekeyCtrlInfo
     */
    public void setEkeyCtrlInfo(CtrlCommonInfo ekeyCtrlInfo) {
        this.ekeyCtrlInfo = ekeyCtrlInfo;
    }

    /**
     * 获取 状态信息
     * @return
     */
    public EkeyStateInfo getEkeyStateInfo() {
        return ekeyStateInfo;
    }

    /**
     * 设置 状态信息
     * @param ekeyStateInfo
     */
    public void setEkeyStateInfo(EkeyStateInfo ekeyStateInfo) {
        this.ekeyStateInfo = ekeyStateInfo;
    }
}
