package com.mxnavi.tspv2.remotecontrol.model;

/**
 * 寻车控制消息(请求/应答)
 * 备注：当查询时只填写common_param参数，tbox返回当前状态
 */

public class CtrlLightHornMsg {
    /**
     * 通用参数
     */
    CtrlCommonParamTbox commonParam;
    /**
     * 寻车控制信息
     * Bit: 0-远程一键寻车
     */
    CtrlCommonInfo lighthornCtrlInfo;

    /**
     * 获取 通用参数
     * @return
     */
    public CtrlCommonParamTbox getCommonParam() {
        return commonParam;
    }

    /**
     * 设置 通用参数
     * @param commonParam
     */
    public void setCommonParam(CtrlCommonParamTbox commonParam) {
        this.commonParam = commonParam;
    }

    /**
     * 获取 寻车控制信息
     * Bit: 0-远程一键寻车
     * @return
     */
    public CtrlCommonInfo getLighthornCtrlInfo() {
        return lighthornCtrlInfo;
    }

    /**
     * 设置 寻车控制信息
     * Bit: 0-远程一键寻车
     * @param lighthornCtrlInfo
     */
    public void setLighthornCtrlInfo(CtrlCommonInfo lighthornCtrlInfo) {
        this.lighthornCtrlInfo = lighthornCtrlInfo;
    }
}
