package com.mxnavi.tspv2.remotecontrol.model;

/**
 * Created by Administrator on 2018/6/2.
 * 屏幕保护(请求/应答)
 * 备注：当查询时只填写common_param参数，tbox返回当前状态
 */

public class CtrlPrivateInformationMessage {
    /**
     * 通用参数
     */
    CtrlCommonParamTbox commonParam;
    /**
     * 屏幕保护控制信息
     * Bit: 0-远程中控屏保护锁
     */
    CtrlCommonInfo privateInfoCtrlInfo;
    /**
     * 状态信息
     */
    PrivateInfoStateInfo privateInfoStateInfo;

    /**
     * 获取 通用参数
     * @return
     */
    public CtrlCommonParamTbox getCommonParam() {
        return commonParam;
    }

    /**
     * 设置 通用参数
     * @param commonParam
     */
    public void setCommonParam(CtrlCommonParamTbox commonParam) {
        this.commonParam = commonParam;
    }

    /**
     * 获取 屏幕保护控制信息
     * Bit: 0-远程中控屏保护锁
     * @return
     */
    public CtrlCommonInfo getPrivateInfoCtrlInfo() {
        return privateInfoCtrlInfo;
    }

    /**
     * 设置 屏幕保护控制信息
     * Bit: 0-远程中控屏保护锁
     * @param privateInfoCtrlInfo
     */
    public void setPrivateInfoCtrlInfo(CtrlCommonInfo privateInfoCtrlInfo) {
        this.privateInfoCtrlInfo = privateInfoCtrlInfo;
    }

    /**
     * 获取 状态信息
     * @return
     */
    public PrivateInfoStateInfo getPrivateInfoStateInfo() {
        return privateInfoStateInfo;
    }

    /**
     * 设置 状态信息
     * @param privateInfoStateInfo
     */
    public void setPrivateInfoStateInfo(PrivateInfoStateInfo privateInfoStateInfo) {
        this.privateInfoStateInfo = privateInfoStateInfo;
    }
}
