package com.mxnavi.tspv2.remotecontrol.model;

/**
 * Created by zhaoll on 2018/8/22.
 * 后备箱控制消息(请求/应答)
 * 备注：当查询时只填写common_param参数，tbox返回当前状态
 */

public class CtrlTrunkDoorsMsg {
    /**
     * 通用参数
     */
    CtrlCommonParamTbox commonParam;
    /**
     * 后备箱控制信息
     * Bit: 0-后备箱
     */
    CtrlCommonInfo trunkDoorsCtrlInfo;
    /**
     * 状态信息
     */
    TrunkDoorsStateInfo trunkDoorsStateInfo;

    /**
     * 获取 通用参数
     * @return
     */
    public CtrlCommonParamTbox getCommonParam() {
        return commonParam;
    }

    /**
     * 设置 通用参数
     * @param commonParam
     */
    public void setCommonParam(CtrlCommonParamTbox commonParam) {
        this.commonParam = commonParam;
    }

    /**
     * 获取 后备箱控制信息
     * Bit: 0-后备箱
     * @return
     */
    public CtrlCommonInfo getTrunkDoorsCtrlInfo() {
        return trunkDoorsCtrlInfo;
    }

    /**
     * 设置 后备箱控制信息
     * Bit: 0-后备箱
     * @param trunkDoorsCtrlInfo
     */
    public void setTrunkDoorsCtrlInfo(CtrlCommonInfo trunkDoorsCtrlInfo) {
        this.trunkDoorsCtrlInfo = trunkDoorsCtrlInfo;
    }

    /**
     * 获取 状态信息
     * @return
     */
    public TrunkDoorsStateInfo getTrunkDoorsStateInfo() {
        return trunkDoorsStateInfo;
    }

    /**
     * 设置 状态信息
     * @param trunkDoorsStateInfo
     */
    public void setTrunkDoorsStateInfo(TrunkDoorsStateInfo trunkDoorsStateInfo) {
        this.trunkDoorsStateInfo = trunkDoorsStateInfo;
    }
}
