package com.mxnavi.tspv2.remotecontrol.model;

import java.util.List;

/**
 * Created by zhaoll on 2018/8/20.
 * 车窗控制消息(请求/应答)
 * 备注：当查询时只填写common_param参数，tbox返回当前状态
 */
public class CtrlWindowsMsg {
    /**
     * 通用参数
     */
    CtrlCommonParamTbox commonParam;
    /**
     * 控制信息
     */
    List<WindowsCtrlInfo> windowsCtrlInfo;
    /**
     * 状态信息
     */
    List<WindowsStateInfo> windowsStateInfo;

    /**
     * 获取 通用参数
     * @return
     */
    public CtrlCommonParamTbox getCommonParam() {
        return commonParam;
    }

    /**
     * 设置 通用参数
     * @param commonParam
     */
    public void setCommonParam(CtrlCommonParamTbox commonParam) {
        this.commonParam = commonParam;
    }

    /**
     * 获取 控制信息
     * @return
     */
    public List<WindowsCtrlInfo> getWindowsCtrlInfo() {
        return windowsCtrlInfo;
    }

    /**
     * 设置 控制信息
     * @param windowsCtrlInfo
     */
    public void setWindowsCtrlInfo(List<WindowsCtrlInfo> windowsCtrlInfo) {
        this.windowsCtrlInfo = windowsCtrlInfo;
    }

    /**
     * 获取 状态信息
     * @return
     */
    public List<WindowsStateInfo> getWindowsStateInfo() {
        return windowsStateInfo;
    }

    /**
     * 设置 状态信息
     * @param windowsStateInfo
     */
    public void setWindowsStateInfo(List<WindowsStateInfo> windowsStateInfo) {
        this.windowsStateInfo = windowsStateInfo;
    }
}
