package com.mxnavi.tspv2.remotecontrol.model;

import org.json.JSONObject;

/**
 * Created by Administrator on 2017/9/4.
 */

public class ReqBody {
    String instruction;
    int appLon;
    int appLat;
    JSONObject data;

    String safePasswd;

    public String getInstruction() {
        return instruction;
    }

    /**
     * 设置控制指令码，详见接口文档
     * @param instruction
     */
    public void setInstruction(String instruction) {
        this.instruction = instruction;
    }

    public int getAppLon() {
        return appLon;
    }
    /**
     * 设置手机当前经度，单位是1/2560秒
     * @param appLon
     */
    public void setAppLon(int appLon) {
        this.appLon = appLon;
    }

    public int getAppLat() {
        return appLat;
    }
    /**
     * 设置手机当前纬度，单位是1/2560秒
     * @param appLat
     */
    public void setAppLat(int appLat) {
        this.appLat = appLat;
    }

    public JSONObject getData() {
        return data;
    }
    /**
     * 与instruction对应，例如空调开启，具体温度，风力等参数，在此设置，需要车机端和手机端定参数格式。具体参考车机端或手机端文档
     * @param data
     */
    public void setData(JSONObject data) {
        this.data = data;
    }

    public String getSafePasswd() {
        return safePasswd;
    }

    /**
     * 设置安防密码，是未进行MD5加密的，SDK会自行加密
     * @param safePasswd
     */
    public void setSafePasswd(String safePasswd) {
        this.safePasswd = safePasswd;
    }
}
