package com.mxnavi.tspv2.remotecontrol.model;

/**
 * Created by zhaoll on 2018/8/8.
 *
 * 蓄电池信息
 */

public class StateBatteryMsg {
    /**
     * 剩余电量
     * 有效值范围0x00-0xFA(表示0-100%)最小单位0.4，0xFF:无效
     */
    Integer soc;
    /**
     * 平均电耗
     * 有效值范围0x00-0xFA(表示0-25kwh/100km)最小单位0.1，0xFF:无效
     */
    Integer avg;
    /**
     * 充电状态 0x00：未充电 0x01：正在充电 0x02-已充满 0xFF:无法得到当前状态
     */
    Integer charge_state;
    /**
     * 电压 0xFFFF:无法得到当前状态
     */
    Integer electric_voltage;

    /**
     * 获取 剩余电量
     * 有效值范围0x00-0xFA(表示0-100%)最小单位0.4，0xFF:无效
     * @return
     */
    public Integer getSoc() {
        return soc;
    }

    /**
     * 设置 剩余电量
     * 有效值范围0x00-0xFA(表示0-100%)最小单位0.4，0xFF:无效
     * @param soc
     */
    public void setSoc(Integer soc) {
        this.soc = soc;
    }

    /**
     * 获取 平均电耗
     * 有效值范围0x00-0xFA(表示0-25kwh/100km)最小单位0.1，0xFF:无效
     * @return
     */
    public Integer getAvg() {
        return avg;
    }

    /**
     * 设置 平均电耗
     * 有效值范围0x00-0xFA(表示0-25kwh/100km)最小单位0.1，0xFF:无效
     * @param avg
     */
    public void setAvg(Integer avg) {
        this.avg = avg;
    }

    /**
     * 获取 充电状态 0x00：未充电 0x01：正在充电 0x02-已充满 0xFF:无法得到当前状态
     * @return
     */
    public Integer getCharge_state() {
        return charge_state;
    }

    /**
     * 设置 充电状态 0x00：未充电 0x01：正在充电 0x02-已充满 0xFF:无法得到当前状态
     * @param charge_state
     */
    public void setCharge_state(Integer charge_state) {
        this.charge_state = charge_state;
    }

    /**
     * 获取 电压 0xFFFF:无法得到当前状态
     * @return
     */
    public Integer getElectric_voltage() {
        return electric_voltage;
    }

    /**
     * 设置 电压 0xFFFF:无法得到当前状态
     * @param electric_voltage
     */
    public void setElectric_voltage(Integer electric_voltage) {
        this.electric_voltage = electric_voltage;
    }
}
