package com.mxnavi.tspv2.sendtocar.model;

import android.os.Parcel;
import android.os.Parcelable;

import com.mxnavi.tspv2.model.LatLng;

/**
 * Created by lenovo on 2016/6/21.
 */
public class Content implements Parcelable {
	String name;
	String address;
	LatLng latLng;
	String cityName;
	String subscribeTime;
	String openId;
	String nickName;
	String sex;
	String language;
	String provName;
	String countryName;
	String headimgurl;
	String groupId;

	public Content() {

	}

	/**
	 * 获取 POI 名称(未取得结果时填写空串)
	 * 
	 * @return
	 */
	public String getName() {
		return name;
	}

	/**
	 * 设置 POI 名称(未取得结果时填写空串)
	 * 
	 * @param name
	 */
	public void setName(String name) {
		this.name = name;
	}

	/**
	 * 获取 POI 地址(未取得结果时填写空串)
	 * 
	 * @return
	 */
	public String getAddress() {
		return address;
	}

	/**
	 * 设置 POI 地址(未取得结果时填写空串)
	 * 
	 * @param address
	 */
	public void setAddress(String address) {
		this.address = address;
	}

	/**
	 * 获取 经纬度
	 * 
	 * @return
	 */
	public LatLng getLatLng() {
		return latLng;
	}

	/**
	 * 设置 经纬度
	 * 
	 * @param latLng
	 */
	public void setLatLng(LatLng latLng) {
		this.latLng = latLng;
	}

	/**
	 * 获取 城市(未取得结果时填写空串)
	 * 
	 * @return
	 */
	public String getCityName() {
		return cityName;
	}

	/**
	 * 设置 城市(未取得结果时填写空串)
	 * 
	 * @param cityName
	 */
	public void setCityName(String cityName) {
		this.cityName = cityName;
	}

	/**
	 * 获取 创建设时间(未取得结果时填写空串)
	 * 
	 * @return
	 */
	public String getSubscribeTime() {
		return subscribeTime;
	}

	/**
	 * 设置 创建设时间(未取得结果时填写空串)
	 * 
	 * @param subscribeTime
	 */
	public void setSubscribeTime(String subscribeTime) {
		this.subscribeTime = subscribeTime;
	}

	/**
	 * 获取 微信ID
	 * 
	 * @return
	 */
	public String getOpenId() {
		return openId;
	}

	/**
	 * 设置 微信ID
	 * 
	 * @param openId
	 */
	public void setOpenId(String openId) {
		this.openId = openId;
	}

	/**
	 * 获取 昵称(未取得结果时填写空串)
	 * 
	 * @return
	 */
	public String getNickName() {
		return nickName;
	}

	/**
	 * 设置 昵称(未取得结果时填写空串)
	 * 
	 * @param nickName
	 */
	public void setNickName(String nickName) {
		this.nickName = nickName;
	}

	/**
	 * 获取 性别1男：2女：0未知(未取得结果时“0”)
	 * 
	 * @return
	 */
	public String getSex() {
		return sex;
	}

	/**
	 * 设置 性别1男：2女：0未知(未取得结果时“0”)
	 * 
	 * @param sex
	 */
	public void setSex(String sex) {
		this.sex = sex;
	}

	/**
	 * 获取 手机微信语言(未取得结果时填写空串)
	 * 
	 * @return
	 */
	public String getLanguage() {
		return language;
	}

	/**
	 * 设置 手机微信语言(未取得结果时填写空串)
	 * 
	 * @param language
	 */
	public void setLanguage(String language) {
		this.language = language;
	}

	/**
	 * 获取 省份(未取得结果时填写空串)
	 * 
	 * @return
	 */
	public String getProvName() {
		return provName;
	}

	/**
	 * 设置 省份(未取得结果时填写空串)
	 * 
	 * @param provName
	 */
	public void setProvName(String provName) {
		this.provName = provName;
	}

	/**
	 * 获取 国家(未取得结果时填写空串)
	 * 
	 * @return
	 */
	public String getCountryName() {
		return countryName;
	}

	/**
	 * 设置 国家(未取得结果时填写空串)
	 * 
	 * @param countryName
	 */
	public void setCountryName(String countryName) {
		this.countryName = countryName;
	}

	/**
	 * 获取 头像URL(未取得结果时填写空串)
	 * 
	 * @return
	 */
	public String getHeadimgurl() {
		return headimgurl;
	}

	/**
	 * 设置 头像URL(未取得结果时填写空串)
	 * 
	 * @param headimgurl
	 */
	public void setHeadimgurl(String headimgurl) {
		this.headimgurl = headimgurl;
	}

	/**
	 * 获取 组(未取得结果时填写空串)
	 * 
	 * @return
	 */
	public String getGroupId() {
		return groupId;
	}

	/**
	 * 获取 组(未取得结果时填写空串)
	 * 
	 * @param groupId
	 */
	public void setGroupId(String groupId) {
		this.groupId = groupId;
	}

	protected Content(Parcel in) {
		name = in.readString();
		address = in.readString();
		latLng = in.readParcelable(LatLng.class.getClassLoader());
		cityName = in.readString();
		subscribeTime = in.readString();
		openId = in.readString();
		nickName = in.readString();
		sex = in.readString();
		language = in.readString();
		provName = in.readString();
		countryName = in.readString();
		headimgurl = in.readString();
		groupId = in.readString();
	}

	public static final Parcelable.Creator<Content> CREATOR = new Parcelable.Creator<Content>() {
		@Override
		public Content createFromParcel(Parcel in) {
			return new Content(in);
		}

		@Override
		public Content[] newArray(int size) {
			return new Content[size];
		}
	};

	@Override
	public int describeContents() {
		return 0;
	}

	@Override
	public void writeToParcel(Parcel dest, int flags) {
		dest.writeString(name);
		dest.writeString(address);
		dest.writeParcelable(latLng, flags);
		dest.writeString(cityName);
		dest.writeString(subscribeTime);
		dest.writeString(openId);
		dest.writeString(nickName);
		dest.writeString(sex);
		dest.writeString(language);
		dest.writeString(provName);
		dest.writeString(countryName);
		dest.writeString(headimgurl);
		dest.writeString(groupId);
	}
}
