package com.mxnavi.tspv2.sendtocar.model;

import com.mxnavi.tspv2.model.LatLng;

/**
 * Created by cikai on 2018/9/11.
 */

public class PoiContent {
    String name;
    String address;
    LatLng latLng;
    String nickName;
    String headImgUrl;
    String msg;
    /**
     * Poi类型码
     */
    String typeCode;

    /**
     * 获取POI名称
     * @return
     */
    public String getName() {
        return name;
    }

    /**
     * 设置POI名称
     * @param name
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * 获取POI地址
     * @return
     */
    public String getAddress() {
        return address;
    }

    /**
     * 设置POI地址
     * @param address
     */
    public void setAddress(String address) {
        this.address = address;
    }

    /**
     * 获取 经纬度
     * @return
     */
    public LatLng getLatLng() {
        return latLng;
    }

    /**
     * 设置 经纬度
     * @param latLng
     */
    public void setLatLng(LatLng latLng) {
        this.latLng = latLng;
    }

    /**
     * 获取昵称
     * @return
     */
    public String getNickName() {
        return nickName;
    }

    /**
     * 设置昵称
     * @param nickName
     */
    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    /**
     * 获取头像URL
     * @return
     */
    public String getHeadImgUrl() {
        return headImgUrl;
    }

    /**
     * 设置头像URL
     * @param headImgUrl
     */
    public void setHeadImgUrl(String headImgUrl) {
        this.headImgUrl = headImgUrl;
    }

    /**
     * 获取信息描述
     * @return
     */
    public String getMsg() {
        return msg;
    }

    /**
     * 设置信息描述
     * @param msg
     */
    public void setMsg(String msg) {
        this.msg = msg;
    }

    /**
     * 获取 Poi类型码
     * @return
     */
    public String getTypeCode() {
        return typeCode;
    }

    /**
     * 设置 Poi类型码
     * @param typeCode
     */
    public void setTypeCode(String typeCode) {
        this.typeCode = typeCode;
    }
}

