package com.mxnavi.tspv2.user.model;

/**
 * Created by zhaoll on 2018/9/19.
 */

public class SearchFeedbackQuery {
    /**
     * 主键
     */
    String pkId;
    /**
     * 用户ID 
     */
    String userId;
    /**
     * 用户名称
     */
    String userName;
    /**
     * 管理员ID
     */
    String adminId;
    /**
     * 答复标识 0：答复 1：未答复（不传该删除为全部查询）
     */
    String answerFlag;
    /**
     * 删除标识 0：未删除 1：删除 （不传该删除为全部查询）
     */
    String delFlag;
    /**
     * 查询页数
     */
    String page;
    /**
     * 每页显示行数
     */
    String rows;
    /**
     * 排序字段名称
     */
    String sort;
    /**
     * asc/desc
     */
    String order;

    /**
     * 获取 主键
     * @return
     */
    public String getPkId() {
        return pkId;
    }

    /**
     * 设置 主键
     * @param pkId
     */
    public void setPkId(String pkId) {
        this.pkId = pkId;
    }

    /**
     * 获取 用户ID
     * @return
     */
    public String getUserId() {
        return userId;
    }

    /**
     * 设置 用户ID
     * @param userId
     */
    public void setUserId(String userId) {
        this.userId = userId;
    }

    /**
     * 获取 用户名称
     * @return
     */
    public String getUserName() {
        return userName;
    }

    /**
     * 设置 用户名称
     * @param userName
     */
    public void setUserName(String userName) {
        this.userName = userName;
    }

    /**
     * 获取 管理员ID
     * @return
     */
    public String getAdminId() {
        return adminId;
    }

    /**
     * 设置 管理员ID
     * @param adminId
     */
    public void setAdminId(String adminId) {
        this.adminId = adminId;
    }

    /**
     * 获取 答复标识 0：答复 1：未答复（不传该删除为全部查询）
     * @return
     */
    public String getAnswerFlag() {
        return answerFlag;
    }

    /**
     * 设置 答复标识 0：答复 1：未答复（不传该删除为全部查询）
     * @param answerFlag
     */
    public void setAnswerFlag(String answerFlag) {
        this.answerFlag = answerFlag;
    }

    /**
     * 获取 删除标识 0：未删除 1：删除 （不传该删除为全部查询）
     * @return
     */
    public String getDelFlag() {
        return delFlag;
    }

    /**
     * 设置 删除标识 0：未删除 1：删除 （不传该删除为全部查询）
     * @param delFlag
     */
    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    /**
     * 获取 查询页数
     * @return
     */
    public String getPage() {
        return page;
    }

    /**
     * 设置 查询页数
     * @param page
     */
    public void setPage(String page) {
        this.page = page;
    }

    /**
     * 获取 每页显示行数
     * @return
     */
    public String getRows() {
        return rows;
    }

    /**
     * 设置 每页显示行数
     * @param rows
     */
    public void setRows(String rows) {
        this.rows = rows;
    }

    /**
     * 获取 排序字段名称
     * @return
     */
    public String getSort() {
        return sort;
    }

    /**
     * 设置 排序字段名称
     * @param sort
     */
    public void setSort(String sort) {
        this.sort = sort;
    }

    /**
     * 获取 asc/desc
     * @return
     */
    public String getOrder() {
        return order;
    }

    /**
     * 设置 asc/desc
     * @param order
     */
    public void setOrder(String order) {
        this.order = order;
    }
}
