package com.mxnavi.tspv2.authservice.model;

import java.util.List;

/**
 * Created by lenovo on 2016/8/3.
 */
public class DataAuthActiveRequest {
    String productId;
    String deviceNo;
    List<RegIdAndVer> regIdAndVers;
    String softVersion;
    boolean encryption;
    Integer activeMode;
    String activeToolSoftver;
    String handlers;

    /**
     * 获取 产品系列
     * @return
     */
    public String getProductId() {
        return productId;
    }

    /**
     *设置 产品系列
     * @param productId
     */
    public void setProductId(String productId) {
        this.productId = productId;
    }

    /**
     * 获取 车机原始序列号，能够唯一定义一个设备。要求设备序列号不能够重复。
     * @return
     */
    public String getDeviceNo() {
        return deviceNo;
    }

    /**
     *设置 车机原始序列号，能够唯一定义一个设备。要求设备序列号不能够重复。
     * @param deviceNo
     */
    public void setDeviceNo(String deviceNo) {
        this.deviceNo = deviceNo;
    }

    /**
     * 获取 数据所属行政区域ID和数据版本集合
     * @return
     */
    public List<RegIdAndVer> getRegIdAndVers() {
        return regIdAndVers;
    }

    /**
     *设置 数据所属行政区域ID和数据版本集合
     * @param regIdAndVers
     */
    public void setRegIdAndVers(List<RegIdAndVer> regIdAndVers) {
        this.regIdAndVers = regIdAndVers;
    }

    /**
     * 获取 软件版本
     * @return
     */
    public String getSoftVersion() {
        return softVersion;
    }

    /**
     *设置 软件版本
     * @param softVersion
     */
    public void setSoftVersion(String softVersion) {
        this.softVersion = softVersion;
    }

    /**
     * 获取 标识硬件序列号是否加密；false：未加密；true：已加密
     * @return
     */
    public boolean isEncryption() {
        return encryption;
    }

    /**
     *设置 标识硬件序列号是否加密；false：未加密；true：已加密
     * @param encryption
     */
    public void setEncryption(boolean encryption) {
        this.encryption = encryption;
    }

    /**
     * 获取 激活方式0:车机激活1:网站激活，2:PC工具（包括4S店版和个人版）
     * @return
     */
    public Integer getActiveMode() {
        return activeMode;
    }

    /**
     *设置 激活方式0:车机激活1:网站激活，2:PC工具（包括4S店版和个人版）
     * @param activeMode
     */
    public void setActiveMode(Integer activeMode) {
        this.activeMode = activeMode;
    }

    /**
     * 获取 版本号（激活工具的版本号）
     * @return
     */
    public String getActiveToolSoftver() {
        return activeToolSoftver;
    }

    /**
     *设置 版本号（激活工具的版本号）
     * @param activeToolSoftver
     */
    public void setActiveToolSoftver(String activeToolSoftver) {
        this.activeToolSoftver = activeToolSoftver;
    }

    /**
     * 获取 4s店账户（如果没有，例如个人版，可以传空）
     * @return
     */
    public String getHandlers() {
        return handlers;
    }

    /**
     *设置 4s店账户（如果没有，例如个人版，可以传空）
     * @param handlers
     */
    public void setHandlers(String handlers) {
        this.handlers = handlers;
    }
}
