package com.mxnavi.tspv2.collection.model;

import android.os.Parcel;
import android.os.Parcelable;

public class UploadMacAddrQuery implements Parcelable {
    String sn;
    String mac;
    String imei;

    public UploadMacAddrQuery() {
    }

    protected UploadMacAddrQuery(Parcel in) {
        sn = in.readString();
        mac = in.readString();
        imei = in.readString();
    }

    public static final Creator<UploadMacAddrQuery> CREATOR = new Creator<UploadMacAddrQuery>() {
        @Override
        public UploadMacAddrQuery createFromParcel(Parcel in) {
            return new UploadMacAddrQuery(in);
        }

        @Override
        public UploadMacAddrQuery[] newArray(int size) {
            return new UploadMacAddrQuery[size];
        }
    };

    public String getSn() {
        return this.sn;
    }

    public void setSn(String sn) {
        this.sn = sn;
    }

    public String getMac() {
        return this.mac;
    }

    public void setMac(String mac) {
        this.mac = mac;
    }

    public String getImei() {
        return this.imei;
    }

    public void setImei(String imei) {
        this.imei = imei;
    }

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(sn);
        dest.writeString(mac);
        dest.writeString(imei);
    }
}
