package com.mxnavi.tspv2.core;

import com.mxnavi.tspv2.core.message.MxNGTPMessage;
/**
 * Created by Administrator on 2016/3/28.
 */
//public class Request implements ThreadPoolRunable{
//    MxNGTPMessage.MxMessage  mbusinessMessage;
//    public Request(MxNGTPMessage.MxMessage businessMessage){
//        mbusinessMessage = businessMessage;
//    }
////        MxNGTPMessage.MxMessage businessMessage = MessageBuilder.instance().makeBusinessMsg(
////                testcaseInfos.get(testcasePos), MxNGTPMessage.DSPTMessageType.UP_SERVICEDATA);
//
//    @Override
//    public void run() {
////        try {
////            Thread.sleep(10000);
////        } catch (InterruptedException e) {
////            e.printStackTrace();
////        }
//        for(int i =0;i<100;i++){
//
//            ChannelFuture future = TSP.chanel.writeAndFlush(mbusinessMessage);
//
//        }
//        System.out.println("writeEDN=====================");
//
//    }
//
//    @Override
//    public void exception() {
//
//    }
//}
public class PrioritizedRequestMessage implements  Comparable<PrioritizedRequestMessage>,Cloneable {
    private static final long serialVersionUID = 1L;
    MxNGTPMessage.MxMessage  mbusinessMessage;
    public int priority ;
    public int evenId;
    public int serviceType;
    public long createTimeStamp;
    public  int timeOutSeconds;
    public PrioritizedRequestMessage(){

    }
    public PrioritizedRequestMessage(int mevenId){
       this.evenId = mevenId;
    }
    public PrioritizedRequestMessage(MxNGTPMessage.MxMessage businessMessage,int priority){
        this.priority = priority;
        mbusinessMessage = businessMessage;
        evenId = mbusinessMessage.getNgtpMessage().getDispatcherData().getEventId();

    }
    public PrioritizedRequestMessage(MxNGTPMessage.MxMessage businessMessage){
        this.priority = 0;
        mbusinessMessage = businessMessage;
        evenId = mbusinessMessage.getNgtpMessage().getDispatcherData().getEventId();
        serviceType = mbusinessMessage.getNgtpMessage().getDispatcherData().getServiceType();

    }
    public MxNGTPMessage.MxMessage getBusinessMessage(){
        return this.mbusinessMessage;
    }
    public void setPriority(int priority){
        this.priority = priority;
    }

    @Override
    public int compareTo(PrioritizedRequestMessage o) {
        if(priority < o.priority) {
            return 1;
        }else{
            if(priority > o.priority) {
                return -1;
            }else {
                if(evenId>o.evenId){
                    return 1;
                }else if(evenId < o.evenId){
                    return -1;
                }else{
                    return 0;
                }

            }
        }
    }
    public Object clone() {
        Object o = null;
        try {
            o = super.clone();
        } catch (CloneNotSupportedException e) {
            System.out.println(e.toString());
        }
        return o;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        PrioritizedRequestMessage message = (PrioritizedRequestMessage) o;

        return evenId == message.evenId;

    }

    @Override
    public int hashCode() {
        return evenId;
    }
}