package com.mxnavi.tspv2.datashare;

import com.mxnavi.tspv2.datashare.model.DeviceInfo;

/**
 * Created by Administrator on 2016/8/4.
 * desc
 */
public interface ConnectListener {

    /**
     * 收到广播回复
     * @param deviceInfo
     */
    public void  onReceiveRespForBroadcast(DeviceInfo deviceInfo);
    /**
     * 车机和手机端的数据传输功能版本号不匹配，则不能继续使用，请更换SDK版本
     */
    public void onFunVerNotMatch();

    /**
     * 建立连接成功
     */
    public void  onConnectSuccess();

    /**
     * 连接断开
     */
    public void  onDisConnect();
    /**
     * 连接超时
     */
    public void  onConnectTimeOut();


}
