package com.mxnavi.tspv2.driving.model;

import com.mxnavi.tspv2.model.LatLng;

/**
 * Created by Administrator on 2016/5/3.
 * desc
 */
public class OrderRequest {
    String phone;
    String address;
    int  number;
    LatLng location;
    String token;

    /**
     * 获取联系人电话
     * @return 联系人电话
     */
    public String getPhone() {
        return phone;
    }

    /**
     * 设置联系人电话
     * @param phone
     */
    public void setPhone(String phone) {
        this.phone = phone;
    }

    /**
     * 获取联系人所在地址
     * @return 联系人所在地址
     */
    public String getAddress() {
        return address;
    }

    /**
     * 设置联系人所在地址
     * @param address
     */
    public void setAddress(String address) {
        this.address = address;
    }

    /**
     * 获取预约人数（不能超过5人）
     * @return 预约人数（不能超过5人）
     */
    public int getNumber() {
        return number;
    }

    /**
     * 设置预约人数（不能超过5人）
     * @param number
     */
    public void setNumber(int number) {
        this.number = number;
    }

    /**
     * 获取用户位置
     * @return 用户位置
     */
    public LatLng getLocation() {
        return location;
    }

    /**
     * 设置用户位置
     * @param location
     */
    public void setLocation(LatLng location) {
        this.location = location;
    }

    /**
     * 获取用户凭证
     * @return 用户凭证
     */
    public String getToken() {
        return token;
    }

    /**
     * 设置用户凭证
     * @param token
     */
    public void setToken(String token) {
        this.token = token;
    }
}
