package com.mxnavi.tspv2.drivingrecord.model;

import android.os.Parcel;
import android.os.Parcelable;

/**
 * Created by Administrator on 2016/4/1.
 * desc
 */
public  class  DownloadMediaInfo implements Parcelable {

    int recordType;
    int startTime;
    int endTime;
    int latestCnt;

    public DownloadMediaInfo() {
    }

    /**
     * 获取 录影类型：按位表示，32bit （非必传）
     * @return 录影类型 1bit: 手动上传录影，2bit: 碰撞上传录影
     */
    public int getRecordType() {
        return recordType;
    }

    /**
     * 设置 录影类型：按位表示，32bit
     * @param recordType 录影类型 1bit: 手动上传录影，2bit: 碰撞上传录影
     */
    public void setRecordType(int recordType) {
        this.recordType = recordType;
    }
    /**
     * 获取 开始时间，UNIX时间戳,单位为秒 （非必传）
     * @return
     */
    public int getStartTime() {
        return startTime;
    }

    /**
     * 设置 开始时间，UNIX时间戳,单位为秒 （非必传）
     * @param startTime
     */
    public void setStartTime(int startTime) {
        this.startTime = startTime;
    }
    /**
     * 获取 结束时间，UNIX时间戳，单位为秒 （非必传）
     * @return
     */
    public int getEndTime() {
        return endTime;
    }

    /**
     * 设置 结束时间，UNIX时间戳,单位为秒 （非必传）
     * @param endTime
     */
    public void setEndTime(int endTime) {
        this.endTime = endTime;
    }
    /**
     * 获取 最近上传n次的录影（非必传）
     * @return
     */
    public int getLatestCnt() {
        return latestCnt;
    }

    /**
     * 设置 最近上传n次的录影（非必传）
     * @param latestCnt
     */
    public void setLatestCnt(int latestCnt) {
        this.latestCnt = latestCnt;
    }

    protected DownloadMediaInfo(Parcel in) {
        int recordType = in.readInt();
        int startTime = in.readInt();
        int endTime = in.readInt();
        int latestCnt = in.readInt();
    }
    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeInt(recordType);
        dest.writeInt(startTime);
        dest.writeInt(endTime);
        dest.writeInt(latestCnt);
    }
    public static final Creator<DownloadMediaInfo> CREATOR = new Creator<DownloadMediaInfo>() {
        @Override
        public DownloadMediaInfo createFromParcel(Parcel in) {
            return new DownloadMediaInfo(in);
        }

        @Override
        public DownloadMediaInfo[] newArray(int size) {
            return new DownloadMediaInfo[size];
        }
    };
}
