package com.mxnavi.tspv2.flowcontrol.model;

import android.os.Parcel;
import android.os.Parcelable;

import java.io.Serializable;

/**
 * Created by lenovo on 2016/10/17.
 */
public class AppIdAndFlow implements Parcelable,Serializable {
    String applicationId;
    int useFlow;

    public AppIdAndFlow() {
    }
    protected AppIdAndFlow(Parcel in) {
        applicationId = in.readString();
        useFlow = in.readInt();
    }
    public static final Creator<AppIdAndFlow> CREATOR = new Creator<AppIdAndFlow>() {
        @Override
        public AppIdAndFlow createFromParcel(Parcel in) {
            return new AppIdAndFlow(in);
        }

        @Override
        public AppIdAndFlow[] newArray(int size) {
            return new AppIdAndFlow[size];
        }
    };
    /**
     * 获取 应用ID
     * @return
     */
    public String getApplicationId() {
        return applicationId;
    }

    /**
     * 设置 应用ID
     * @param applicationId
     */
    public void setApplicationId(String applicationId) {
        this.applicationId = applicationId;
    }

    /**
     * 获取 应用所使用的流量
     * @return
     */
    public int getUseFlow() {
        return useFlow;
    }

    /**
     * 设置 应用所使用的流量
     * @param useFlow
     */
    public void setUseFlow(int useFlow) {
        this.useFlow = useFlow;
    }

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(applicationId);
        dest.writeInt(useFlow);
    }
}
