package com.mxnavi.tspv2.fm.model;

import android.os.Parcel;
import android.os.Parcelable;

import java.io.Serializable;

/**
 * Created by Administrator on 2016/4/21.
 * desc
 */
public class AlbumTagIconUrl implements Parcelable,Serializable {
    String small;
    String mid;
    String large;

    public AlbumTagIconUrl() {
    }

    public AlbumTagIconUrl(Parcel in) {
        small = in.readString();
        mid = in.readString();
        large = in.readString();
    }

    public static final Creator<AlbumTagIconUrl> CREATOR = new Creator<AlbumTagIconUrl>() {
        @Override
        public AlbumTagIconUrl createFromParcel(Parcel in) {
            return new AlbumTagIconUrl(in);
        }

        @Override
        public AlbumTagIconUrl[] newArray(int size) {
            return new AlbumTagIconUrl[size];
        }
    };

    /**
     * 获取小图标路径
     * @return
     */
    public String getSmall() {
        return small;
    }

    public void setSmall(String small) {
        this.small = small;
    }
    /**
     * 获取大图标路径
     * @return
     */
    public String getLarge() {
        return large;
    }

    public void setLarge(String large) {
        this.large = large;
    }
    /**
     * 获取中图标路径
     * @return
     */
    public String getMid() {
        return mid;
    }

    public void setMid(String mid) {
        this.mid = mid;
    }


    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(small);
        dest.writeString(mid);
        dest.writeString(large);
    }
}
