package com.mxnavi.tspv2.fm.model;

import android.os.Parcel;
import android.os.Parcelable;

import java.io.Serializable;
/**
 * Created by Administrator on 2016/4/21.
 * desc
 */
public class Category implements Parcelable,Serializable {
    String id;
    String title;

    public Category() {

    }

    public Category(String id, String title) {
        this.id = id;
        this.title = title;
    }
    protected Category(Parcel in) {
        id = in.readString();
        title = in.readString();
    }
    public static final Creator<Category> CREATOR = new Creator<Category>() {
        @Override
        public Category createFromParcel(Parcel in) {
            return new Category(in);
        }

        @Override
        public Category[] newArray(int size) {
            return new Category[size];
        }
    };
    /**
     * 获取分类id
     * @return
     */
    public String getId() {
        return id;
    }

    /**
     * 设置分类id
     * @param id
     */
    public void setId(String id) {
        this.id = id;
    }
    /**
     * 获取分类名称
     * @return
     */
    public String getTitle() {
        return title;
    }

    /**
     * 设置分类名称
     * @param title
     */
    public void setTitle(String title) {
        this.title = title;
    }

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(id);
        dest.writeString(title);
    }
}
