package com.mxnavi.tspv2.fm.model;

/**
 * 直播节目所属主播信息
 */

public class LiveAnnouncer {
    int id;
    String kind;
    String nickname;
    String avatarUrl;
    long updatedAt;
    long createdAt;

    /**
     * 获取直播直播ID
     * @return
     */
    public int getId() {
        return id;
    }

    /**
     * 设置直播直播ID
     * @param id
     */
    public void setId(int id) {
        this.id = id;
    }

    /**
     * 获取类型，固定值"live_announcer"
     * @return
     */
    public String getKind() {
        return kind;
    }

    /**
     * 设置类型 固定值"live_announcer"
     * @param kind
     */
    public void setKind(String kind) {
        this.kind = kind;
    }

    /**
     * 获取直播主播昵称
     * @return
     */
    public String getNickname() {
        return nickname;
    }

    /**
     * 设置直播主播昵称
     * @param nickname
     */
    public void setNickname(String nickname) {
        this.nickname = nickname;
    }

    /**
     * 获取直播主播头像url
     * @return
     */
    public String getAvatarUrl() {
        return avatarUrl;
    }

    /**
     * 设置直播主播头像url
     * @param avatarUrl
     */
    public void setAvatarUrl(String avatarUrl) {
        this.avatarUrl = avatarUrl;
    }

    /**
     * 获取更新时间时间戳，单位为毫秒
     * @return
     */
    public long getUpdatedAt() {
        return updatedAt;
    }

    /**
     * 设置更新时间时间戳，单位为毫秒
     * @param updatedAt
     */
    public void setUpdatedAt(long updatedAt) {
        this.updatedAt = updatedAt;
    }

    /**
     * 获取创建时间时间戳，单位为毫秒
     * @return
     */
    public long getCreatedAt() {
        return createdAt;
    }

    /**
     * 设置创建时间时间戳，单位为毫秒
     * @param createdAt
     */
    public void setCreatedAt(long createdAt) {
        this.createdAt = createdAt;
    }
}
