package com.mxnavi.tspv2.fm.model;

/**
 * 直播电台的分类
 */

public class RadioCategorieInfo {
    int id;
    String kind;
    String radioCategoryName;
    int orderNum;

    /**
     * 返回分类ID
     * @return
     */
    public int getId() {
        return id;
    }

    /**
     * 设置分类ID
     * @param id
     */
    public void setId(int id) {
        this.id = id;
    }

    /**
     * 返回数据类型，固定值”radio_category”
     * @return
     */
    public String getKind() {
        return kind;
    }

    /**
     * 设置数据类型，固定值”radio_category”
     * @param kind
     */
    public void setKind(String kind) {
        this.kind = kind;
    }

    /**
     * 获取直播分类名称
     * @return
     */
    public String getRadioCategoryName() {
        return radioCategoryName;
    }

    /**
     * 设置直播分类名称
     * @param radioCategoryName
     */
    public void setRadioCategoryName(String radioCategoryName) {
        this.radioCategoryName = radioCategoryName;
    }

    /**
     * 获取排序值，值越小排序越在前面
     * @return
     */
    public int getOrderNum() {
        return orderNum;
    }

    /**
     * 设置排序值，值越小排序越在前面
     * @param orderNum
     */
    public void setOrderNum(int orderNum) {
        this.orderNum = orderNum;
    }
}
