package com.mxnavi.tspv2.fm.model;

/**
 * 根据分类查询电台的查询条件
 */

public class RadiosByCategoryQuery {
    int radioCategoryId = 0;
    int page = 0;
    int count = 0;

    /**
     * 获取直播分类ID
     * @return
     */
    public int getRadioCategoryId() {
        return radioCategoryId;
    }

    /**
     * 设置直播分类ID
     * @param radioCategoryId
     */
    public void setRadioCategoryId(int radioCategoryId) {
        this.radioCategoryId = radioCategoryId;
    }

    /**
     * 获取返回第几页，必须大于等于1，不填默认为1
     * @return
     */
    public int getPage() {
        return page;
    }

    /**
     * 设置返回第几页，必须大于等于1，不填默认为1
     * @param page
     */
    public void setPage(int page) {
        this.page = page;
    }

    /**
     * 获取每页多少条，默认20，最多不超过200
     * @return
     */
    public int getCount() {
        return count;
    }

    /**
     * 设置每页多少条，默认20，最多不超过200
     * @param count
     */
    public void setCount(int count) {
        this.count = count;
    }
}
