package com.mxnavi.tspv2.fm.model;

import android.os.Parcel;
import android.os.Parcelable;

import java.io.Serializable;
import java.util.List;

/**
 * Created by Administrator on 2016/4/21.
 * desc
 */
public class SearchAlbumsResult implements Parcelable,Serializable {
    /**
     * nextLevel:下一级内容
     * allCount:查询到的总数
     * albums:专辑列表
     */
    int nextLevel;
    int allCount;
    List<Album> albums;

    public SearchAlbumsResult() {
    }
    protected SearchAlbumsResult(Parcel in) {
        nextLevel = in.readInt();
        allCount = in.readInt();
        albums =  in.createTypedArrayList(Album.CREATOR);
    }

    public static final Creator<SearchAlbumsResult> CREATOR = new Creator<SearchAlbumsResult>() {
        @Override
        public SearchAlbumsResult createFromParcel(Parcel in) {
            return new SearchAlbumsResult(in);
        }

        @Override
        public SearchAlbumsResult[] newArray(int size) {
            return new SearchAlbumsResult[size];
        }
    };
    /**
     * 获取下一级内容
     * @return
     */
    public int getNextLevel() {
        return nextLevel;
    }

    public void setNextLevel(int nextLevel) {
        this.nextLevel = nextLevel;
    }
    /**
     * 获取查询到的总数
     * @return
     */
    public int getAllCount() {
        return allCount;
    }

    public void setAllCount(int allCount) {
        this.allCount = allCount;
    }
    /**
     * 获取专辑列表
     * @return
     */
    public List<Album> getAlbums() {
        return albums;
    }

    public void setAlbums(List<Album> albums) {
        this.albums = albums;
    }
    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeInt(nextLevel);
        dest.writeInt(allCount);
        dest.writeTypedList(albums);
    }

}
