package com.mxnavi.tspv2.gasstation.model;

import com.mxnavi.tspv2.model.LatLng;

import java.util.List;

/**
 * Created by Administrator on 2016/4/29.
 * 加油站信息类
 */
public class GasStationInfo extends GasStationInfoById{
    int distance;
    int side;

    /**
     * 获取距置车点距离（不存在返回-1）
     * @return
     */
    public int getDistance() {
        return distance;
    }

    /**
     * 设置距置车点距离（不存在返回-1）
     * @param distance
     */
    public void setDistance(int distance) {
        this.distance = distance;
    }

    /**
     * 获取在路左右位置。1：左2：右3：两侧. 默认3 （仅沿路检索加油站接口有该返回参数）
     * @return
     */
    public int getSide() {
        return side;
    }

    /**
     * 设置在路左右位置。1：左2：右3：两侧. 默认3 （仅沿路检索加油站接口有该返回参数）
     * @param side
     */
    public void setSide(int side) {
        this.side = side;
    }

}
