package com.mxnavi.tspv2.gasstation.model;

import java.util.List;

/**
 * Created by Administrator on 2016/4/29.
 *  沿路加油站检索条件类
 */
public class SearchByRouteQuery {
    int offset;
    int limit;
    String gasType;
    String gasSubtype;
    List<Route> routeDatas;

    /**
     * 获取分页参数，从第几条开始取(默认第0条)
     * @return
     */
    public int getOffset() {
        return offset;
    }

    /**
     * 设置分页参数，从第几条开始取(默认第0条)
     * @param offset
     */
    public void setOffset(int offset) {
        this.offset = offset;
    }

    /**
     * 获取分页参数，一共取多少条(默认10条)
     * @return
     */
    public int getLimit() {
        return limit;
    }

    /**
     * 设置分页参数，一共取多少条(默认10条)
     * @param limit
     */
    public void setLimit(int limit) {
        this.limit = limit;
    }

    /**
     * 获取油种别。
     汽油:gasoline
     柴油: dieseloil
     天然: naturalgas
     其他:other
     全部：all
     （多个参数使”,”分割）
     * @return
     */
    public String getGasType() {
        return gasType;
    }
    /**
     * 设置油种别。
     汽油:gasoline
     柴油: dieseloil
     天然: naturalgas
     其他:other
     全部：all
     （多个参数使”,”分割）
     * @param gasType
     */
    public void setGasType(String gasType) {
        this.gasType = gasType;
    }

    /**
     * 获取油种别子类型。目前只支持全部
     * @return
     */
    public String getGasSubtype() {
        return gasSubtype;
    }
    /**
     * 设置油种别子类型。目前只支持全部

     * @param gasSubtype all：全部
     */
    public void setGasSubtype(String gasSubtype) {
        this.gasSubtype = gasSubtype;
    }

    /**
     * 获取沿路检索加油站的沿路信息集合
     * @return
     */
    public List<Route> getRouteDatas() {
        return routeDatas;
    }

    /**
     * 设置沿路检索加油站的沿路信息集合
     * @param routeDatas
     */
    public void setRouteDatas(List<Route> routeDatas) {
        this.routeDatas = routeDatas;
    }
}
