package com.mxnavi.tspv2.gasstation.model;

import com.mxnavi.tspv2.model.LatLng;

/**
 * Created by Administrator on 2018/3/28.
 */

public class SearchInRectangleQuery {
    LatLng leftBottom;
    LatLng rightTop;
    String gasType;
    String gasSubtype;
    Double scale;

    /**
     * 获取左下角经纬度，116.39277,39.933748（使用度的格式）
     * @return
     */
    public LatLng getLeftBottom() {
        return leftBottom;
    }

    /**
     * 设置左下角经纬度，116.39277,39.933748（使用度的格式）
     * @param left_bottom
     */
    public void setLeftBottom(LatLng left_bottom) {
        this.leftBottom = left_bottom;
    }

    /**
     * 获取右上角经纬度，116.39277,39.933748（使用度的格式）
     * @return
     */
    public LatLng getRightTop() {
        return rightTop;
    }

    /**
     * 设置右上角经纬度，116.39277,39.933748（使用度的格式）
     * @param right_top
     */
    public void setRightTop(LatLng right_top) {
        this.rightTop = right_top;
    }

    /**
     * 获取油种别
     汽油:gasoline
     柴油: dieseloil
     天然: naturalgas
     其他:other
     全部：all
     （多个参数使”,”分割）
     * @return
     */

    public String getGasType() {
        return gasType;

    }

    /**
     * 设置油种别
     汽油:gasoline
     柴油: dieseloil
     天然: naturalgas
     其他:other
     全部：all
     （多个参数使”,”分割）
     * @param gasType
     */
    public void setGasType(String gasType) {
        this.gasType = gasType;
    }

    /**
     * 获取油种别子类型
     全部：all
     * @return
     */
    public String getGasSubtype() {
        return gasSubtype;
    }

    /**
     * 设置油种别子类型
     全部：all
     * @param gasSubtype
     */
    public void setGasSubtype(String gasSubtype) {
        this.gasSubtype = gasSubtype;
    }

    /**
     * 比例尺
     * @return
     */
    public Double getScale() {
        return scale;
    }

    /**
     * 比例尺
     * @param scale
     */
    public void setScale(Double scale) {
        this.scale = scale;
    }
}
