package com.mxnavi.tspv2.hotel.model;

/**
 * Created by Administrator on 2018/5/22.
 */
public class HotelInfo {
    /**
     * 酒店唯一标识
     */
    String hotelId;
    /**
     * 酒店设置，多个返回值用逗号分隔，参照文档附录
     */
    String facilities;
    /**
     * 距离
     */
    String distance;
    /**
     * 酒店名称
     */
    String hotelName;
    /**
     * 最低价格
     */
    String price;
    /**
     * 挂牌星级0-无星级；1-一星级；2-二星级；3-三星级；4-四星级；5-五星级
     */
    int starRate;
    /**
     * 纬度
     */
    String latitude;
    /**
     * 经度
     */
    String longitude;
    /**
     * 地址
     */
    String address;
    /**
     * 电话
     */
    String phone;
    /**
     * 酒店图片
     */
    String thumbNailUrl;
    /**
     * 商业区名称
     */
    String businessZoneName;
    /**
     * 评价
     */
    Review review;

    /**
     * 获取酒店id
     *
     * @return hotel id
     */
    public String getHotelId() {
        return hotelId;
    }

    /**
     * 设置酒店id
     *
     * @param hotelId the hotel id
     */
    public void setHotelId(String hotelId) {
        this.hotelId = hotelId;
    }

    /**
     * 获取酒店设置，多个返回值用逗号分隔。
     *
     * @return facilities
     */
    public String getFacilities() {
        return facilities;
    }

    /**
     * 设置酒店设置，多个返回值用逗号分隔。
     *
     * @param facilities the facilities
     */
    public void setFacilities(String facilities) {
        this.facilities = facilities;
    }

    /**
     * 获取距离
     *
     * @return distance
     */
    public String getDistance() {
        return distance;
    }

    /**
     * 设置距离
     *
     * @param distance the distance
     */
    public void setDistance(String distance) {
        this.distance = distance;
    }

    /**
     * 获取酒店名称
     *
     * @return the hotel name
     */
    public String getHotelName() {
        return hotelName;
    }

    /**
     * 设置酒店名称
     *
     * @param hotelName the hotel name
     */
    public void setHotelName(String hotelName) {
        this.hotelName = hotelName;
    }

    /**
     * 获取最低价格
     *
     * @return the price
     */
    public String getPrice() {
        return price;
    }

    /**
     * 设置最低价格
     *
     * @param price the price
     */
    public void setPrice(String price) {
        this.price = price;
    }

    /**
     * 获取挂牌星级
     *
     * @return the star rate
     */
    public int getStarRate() {
        return starRate;
    }

    /**
     * 设置挂牌星级
     *
     * @param starRate the star rate
     */
    public void setStarRate(int starRate) {
        this.starRate = starRate;
    }

    /**
     * 获取纬度
     *
     * @return the latitude
     */
    public String getLatitude() {
        return latitude;
    }

    /**
     * 设置纬度
     *
     * @param latitude the latitude
     */
    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }

    /**
     * 获取经度
     *
     * @return the longitude
     */
    public String getLongitude() {
        return longitude;
    }

    /**
     * 设置经度
     *
     * @param longitude the longitude
     */
    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    /**
     * 获取地址
     *
     * @return the address
     */
    public String getAddress() {
        return address;
    }

    /**
     * 设置地址
     *
     * @param address the address
     */
    public void setAddress(String address) {
        this.address = address;
    }

    /**
     * 获取电话
     *
     * @return the phone
     */
    public String getPhone() {
        return phone;
    }

    /**
     * 设置电话
     *
     * @param phone the phone
     */
    public void setPhone(String phone) {
        this.phone = phone;
    }

    /**
     * 获取酒店图片
     *
     * @return the thumb nail url
     */
    public String getThumbNailUrl() {
        return thumbNailUrl;
    }

    /**
     * 设置酒店图片
     *
     * @param thumbNailUrl the thumb nail url
     */
    public void setThumbNailUrl(String thumbNailUrl) {
        this.thumbNailUrl = thumbNailUrl;
    }

    /**
     * 获取商业区名称
     *
     * @return the business zone name
     */
    public String getBusinessZoneName() {
        return businessZoneName;
    }

    /**
     * 设置商业区名称
     *
     * @param businessZoneName the business zone name
     */
    public void setBusinessZoneName(String businessZoneName) {
        this.businessZoneName = businessZoneName;
    }

    /**
     * 获取评价
     *
     * @return the review
     */
    public Review getReview() {
        return review;
    }

    /**
     * 设置评价
     *
     * @param review the review
     */
    public void setReview(Review review) {
        this.review = review;
    }
}
