package com.mxnavi.tspv2.messagepush.model;

/**
 * Created by Administrator on 2018/4/24.
 */

public class QueryHistoryResult {
    String id;
    String warningId;
    String productId;
    String deviceNo;
    String infoType;
    String infoTime;
    String infoTitle;
    String infoContent;
    String readState;
    String delState;
    String userId;

    /**
     * 获取唯一标识
     * @return
     */
    public String getId() {
        return id;
    }

    /**
     * 设置唯一标识
     * @param id
     */
    public void setId(String id) {
        this.id = id;
    }

    /**
     * 获取解析类型
     * @return
     */
    public String getWarningId() {
        return warningId;
    }

    /**
     * 设置解析类型
     * @param warningId
     */
    public void setWarningId(String warningId) {
        this.warningId = warningId;
    }

    /**
     * 获取产品系列
     * @return
     */
    public String getProductId() {
        return productId;
    }

    /**
     * 设置产品系列
     * @param productId
     */
    public void setProductId(String productId) {
        this.productId = productId;
    }

    /**
     * 获取车机唯一标识
     * @return
     */
    public String getDeviceNo() {
        return deviceNo;
    }

    /**
     * 设置车机唯一标识
     * @param deviceNo
     */
    public void setDeviceNo(String deviceNo) {
        this.deviceNo = deviceNo;
    }

    /**
     * 获取消息类型(0:远程控制1：违章2：碰撞3：防盗4：故障5：保养6：电子围栏)
     * @return
     */
    public String getInfoType() {
        return infoType;
    }

    /**
     * 设置消息类型(0:远程控制1：违章2：碰撞3：防盗4：故障5：保养6：电子围栏)
     * @param infoType
     */
    public void setInfoType(String infoType) {
        this.infoType = infoType;
    }

    /**
     * 获取事件发生时间
     * @return
     */
    public String getInfoTime() {
        return infoTime;
    }

    /**
     * 设置事件发生时间
     * @param infoTime
     */
    public void setInfoTime(String infoTime) {
        this.infoTime = infoTime;
    }

    /**
     * 获取标题
     * @return
     */
    public String getInfoTitle() {
        return infoTitle;
    }

    /**
     * 设置标题
     * @param infoTitle
     */
    public void setInfoTitle(String infoTitle) {
        this.infoTitle = infoTitle;
    }

    /**
     * 获取消息内容（透传消息json结构，各服务的消息结构内容由各服务定义，json转成字符串传入该字段）
     * @return
     */
    public String getInfoContent() {
        return infoContent;
    }

    /**
     * 设置消息内容（透传消息json结构，各服务的消息结构内容由各服务定义，json转成字符串传入该字段）
     * @param infoContent
     */
    public void setInfoContent(String infoContent) {
        this.infoContent = infoContent;
    }

    /**
     * 获取读取状态(0:未读1:已读)
     * @return
     */
    public String getReadState() {
        return readState;
    }

    /**
     * 设置读取状态(0:未读1:已读)
     * @param readState
     */
    public void setReadState(String readState) {
        this.readState = readState;
    }

    /**
     * 获取 删除状态( 0:未删除 1:已删除 )
     */
    public String getDelState() {
        return delState;
    }

    /**
     * 设置 删除状态( 0:未删除 1:已删除 )
     * @param delState
     */
    public void setDelState(String delState) {
        this.delState = delState;
    }

    /**
     * 获取userId
     * @return
     */
    public String getUserId() {
        return userId;
    }

    /**
     * 设置userId
     * @param userId
     */
    public void setUserId(String userId) {
        this.userId = userId;
    }
}
