package com.mxnavi.tspv2.ndsupgrade.model;

import java.util.List;

/**
 * Created by lenovo on 2016/6/29.
 */
public class DataInfo {
    int dataKind;
    int size;
    int updateSize;
    int uncompressSize;
    String md5;

    /**
     * 获取 可升级数据类型(用原来的数据类型来定义,1为路网，2为检索，3为高层，4为电子眼，8为全国数据)
     * @return
     */
    public int getDataKind() {
        return dataKind;
    }

    /**
     * 设置 可升级数据类型(用原来的数据类型来定义,1为路网，2为检索，3为高层，4为电子眼，8为全国数据)
     * @param dataKind
     */
    public void setDataKind(int dataKind) {
        this.dataKind = dataKind;
    }

    /**
     * 获取 每个数据类型的大小
     * @return
     */
    public int getSize() {
        return size;
    }

    /**
     * 设置 每个数据类型的大小
     * @param size
     */
    public void setSize(int size) {
        this.size = size;
    }

    /**
     * 获取 每个数据类型升级后的大小
     * @return
     */
    public int getUpdateSize() {
        return updateSize;
    }

    /**
     * 设置 每个数据类型升级后的大小
     * @param updateSize
     */
    public void setUpdateSize(int updateSize) {
        this.updateSize = updateSize;
    }

    /**
     * 获取 解压后大小
     * @return
     */
    public int getUncompressSize() {
        return uncompressSize;
    }

    /**
     * 设置 解压后大小
     * @param uncompressSize
     */
    public void setUncompressSize(int uncompressSize) {
        this.uncompressSize = uncompressSize;
    }

    /**
     * 获取 文件md5值，用于比较下载的文件是否跟服务器一致
     * @return
     */
    public String getMd5() {
        return md5;
    }

    /**
     * 设置 文件md5值，用于比较下载的文件是否跟服务器一致
     * @param md5
     */
    public void setMd5(String md5) {
        this.md5 = md5;
    }
}
