package com.mxnavi.tspv2.notification.model;

import android.os.Parcel;
import android.os.Parcelable;

/**
 * Created by Administrator on 2015/12/16.
 */
public class Birthday implements Parcelable {
    public int     year;   /**< 年        */
    public int     month;  /**< 月        */
    public int     day;    /**< 日        */


    public int getYear() {
        return year;
    }
    /**
     *设置用户出生年份
     * @param year
     */
    public void setYear(int year) {
        this.year = year;
    }

    public int getMonth() {
        return month;
    }
    /**
     *设置用户出生月份
     * @param month
     */
    public void setMonth(int month) {
        this.month = month;
    }

    public int getDay() {
        return day;
    }
    /**
     *设置用户出生日期
     * @param day
     */
    public void setDay(int day) {
        this.day = day;
    }

    @Override
    public String toString() {
        if(year>0&&month>0&&day>0){
            return year+"-"+month+"-"+day;
        }else if(year>0&&month>0){
            return year+"-"+month;
        }else if(year>0){
            return year+"";
        }else{
            return "";
        }


    }
    public Birthday(){

    }
    protected Birthday(Parcel in) {
        year = in.readInt();
        month = in.readInt();
        day = in.readInt();
    }
    public static final Parcelable.Creator<Birthday> CREATOR = new Parcelable.Creator<Birthday>() {
        @Override
        public Birthday createFromParcel(Parcel in) {
            return new Birthday(in);
        }

        @Override
        public Birthday[] newArray(int size) {
            return new Birthday[size];
        }
    };
    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeInt(year);
        dest.writeInt(month);
        dest.writeInt(day);
    }
}
