package com.mxnavi.tspv2.notification.model;

import android.os.Parcel;
import android.os.Parcelable;

/**
 * Created by lenovo on 2016/5/24.
 */
public class LoginDataInfo implements Parcelable {
    String token;
    String refreshToken;
    int expired;

    public LoginDataInfo(){
        
    }
    /**
     * 获取 用户登录标识
     * @return
     */
    public String getToken() {
        return token;
    }

    /**
     * 设置 用户登录标识
     * @param token
     */
    public void setToken(String token) {
        this.token = token;
    }

    /**
     *获取 登录刷新票据，token失效后可用于刷新
     * @return
     */
    public String getRefreshToken() {
        return refreshToken;
    }

    /**
     *设置 登录刷新票据，token失效后可用于刷新
     * @param refreshToken
     */
    public void setRefreshToken(String refreshToken) {
        this.refreshToken = refreshToken;
    }

    /**
     *获取 token失效时间
     * @return
     */
    public int getExpired() {
        return expired;
    }

    /**
     *设置 token失效时间
     * @param expired
     */
    public void setExpired(int expired) {
        this.expired = expired;
    }

    protected LoginDataInfo(Parcel in) {
        token = in.readString();
        refreshToken = in.readString();
        expired = in.readInt();
    }
    public static final Parcelable.Creator<LoginDataInfo> CREATOR = new Parcelable.Creator<LoginDataInfo>() {
        @Override
        public LoginDataInfo createFromParcel(Parcel in) {
            return new LoginDataInfo(in);
        }

        @Override
        public LoginDataInfo[] newArray(int size) {
            return new LoginDataInfo[size];
        }
    };
    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(token);
        dest.writeString(refreshToken);
        dest.writeInt(expired);
    }
}
