package com.mxnavi.tspv2.notification.model;


import android.os.Parcel;
import android.os.Parcelable;

/**
 * Created by Administrator on 2016/4/15.
 *
 */
public class MessagePoiItem implements Parcelable {
    MessageInfo MessageInfo;
    long createTime;
    MessagePoiContent content;

    public MessagePoiItem() {
    }

    protected MessagePoiItem(Parcel in) {
        MessageInfo = in.readParcelable(com.mxnavi.tspv2.notification.model.MessageInfo.class.getClassLoader());
        createTime = in.readLong();
        content = in.readParcelable(MessagePoiContent.class.getClassLoader());
    }

    public static final Creator<MessagePoiItem> CREATOR = new Creator<MessagePoiItem>() {
        @Override
        public MessagePoiItem createFromParcel(Parcel in) {
            return new MessagePoiItem(in);
        }

        @Override
        public MessagePoiItem[] newArray(int size) {
            return new MessagePoiItem[size];
        }
    };

    public MessageInfo getMessageInfo() {
        return MessageInfo;
    }

    public void setMessageInfo(MessageInfo messageInfo) {
        MessageInfo = messageInfo;
    }

    /**
     * 获取用户发送POI的时间
     * @return
     */
    public long getCreateTime() {
        return createTime;
    }

    /**
     * 设置用户发送POI的时间
     * @param createTime
     */
    public void setCreateTime(long createTime) {
        this.createTime = createTime;
    }

    public MessagePoiContent getContent() {
        return content;
    }

    public void setContent(MessagePoiContent content) {
        this.content = content;
    }

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeParcelable(MessageInfo, flags);
        dest.writeLong(createTime);
        dest.writeParcelable(content, flags);
    }
}
