package com.mxnavi.tspv2.peccancy.model;

/**
 * Created by lenovo on 2016/6/17.
 */
public class LocAdminCodeResult {
    String provName;
    String cityName;
    String currentCityCode;
    int engine;
    String engineno;
    int frame;
    String frameno;
    int regist;
    String registno;
    double lon;
    double lat;
    String shortname;

    /**
     * 获取 省(直辖市)级名称
     * @return
     */
    public String getProvName() {
        return provName;
    }

    /**
     * 设置 省(直辖市)级名称
     * @param provName
     */
    public void setProvName(String provName) {
        this.provName = provName;
    }

    /**
     * 获取 市级名称
     * @return
     */
    public String getCityName() {
        return cityName;
    }

    /**
     * 设置 市级名称
     * @param cityName
     */
    public void setCityName(String cityName) {
        this.cityName = cityName;
    }

    /**
     * 获取 行政区code （八位行政区的十六进制表示）
     * @return
     */
    public String getCurrentCityCode() {
        return currentCityCode;
    }

    /**
     * 设置 行政区code （八位行政区的十六进制表示）
     * @param currentCityCode
     */
    public void setCurrentCityCode(String currentCityCode) {
        this.currentCityCode = currentCityCode;
    }

    /**
     * 获取 是否要输发动机号，1-是，0-否
     * @return
     */
    public int getEngine() {
        return engine;
    }

    /**
     * 设置 是否要输发动机号，1-是，0-否
     * @param engine
     */
    public void setEngine(int engine) {
        this.engine = engine;
    }

    /**
     * 获取 输入发动机号后面的位数（如果engine=1且engineno=0，则要输入全部的发动机号）
     * @return
     */
    public String getEngineno() {
        return engineno;
    }

    /**
     * 设置 输入发动机号后面的位数（如果engine=1且engineno=0，则要输入全部的发动机号）
     * @param engineno
     */
    public void setEngineno(String engineno) {
        this.engineno = engineno;
    }

    /**
     * 获取 是否要输车架号，1-是，0-否
     * @return
     */
    public int getFrame() {
        return frame;
    }

    /**
     * 设置 是否要输车架号，1-是，0-否
     * @param frame
     */
    public void setFrame(int frame) {
        this.frame = frame;
    }

    /**
     * 获取  输入输车架号后面的位数（如果frame=1&&frameno=0，则要输入全部的车架号）
     * @return
     */
    public String getFrameno() {
        return frameno;
    }

    /**
     * 设置 输入输车架号后面的位数（如果frame=1&&frameno=0，则要输入全部的车架号）
     * @param frameno
     */
    public void setFrameno(String frameno) {
        this.frameno = frameno;
    }

    /**
     * 获取 是否要输车辆登记证书编号，1-是，0-否
     * @return
     */
    public int getRegist() {
        return regist;
    }

    /**
     * 设置 是否要输车辆登记证书编号，1-是，0-否
     * @param regist
     */
    public void setRegist(int regist) {
        this.regist = regist;
    }

    /**
     * 获取 输入车辆登记证书编号后面的位数（如果regist =1&& registno =0，则要输入全部的登记证书编号）
     * @return
     */
    public String getRegistno() {
        return registno;
    }

    /**
     * 设置 输入车辆登记证书编号后面的位数（如果regist =1&& registno =0，则要输入全部的登记证书编号）
     * @param registno
     */
    public void setRegistno(String registno) {
        this.registno = registno;
    }

    /**
     * 获取 经度
     * @return
     */
    public double getLon() {
        return lon;
    }

    /**
     * 设置 经度
     * @param lon
     */
    public void setLon(double lon) {
        this.lon = lon;
    }

    /**
     * 获取 纬度
     * @return
     */
    public double getLat() {
        return lat;
    }

    /**
     * 设置 纬度
     * @param lat
     */
    public void setLat(double lat) {
        this.lat = lat;
    }

    /**
     * 获取 车牌号前缀
     * @return
     */
    public String getShortname() {
        return shortname;
    }

    /**
     * 设置 车牌号前缀
     * @param shortname
     */
    public void setShortname(String shortname) {
        this.shortname = shortname;
    }
}
