package com.mxnavi.tspv2.remotecontrol.model;

/**
 * Created by zhaoll on 2018/8/22.
 * 天窗控制消息(请求/应答)
 * 备注：当查询时只填写common_param参数，tbox返回当前状态
 */

public class CtrlTopWindowsMsg {
    /**
     * 通用参数
     */
    CtrlCommonParamTbox commonParam;
    /**
     * 天窗控制信息
     * Bit: 0-远程天窗开关
     */
    CtrlCommonInfo topWindowsCtrlInfo;
    /**
     * 状态信息
     */
    TopWindowsStateInfo topWindowsStateInfo;

    /**
     * 获取 通用参数
     * @return
     */
    public CtrlCommonParamTbox getCommonParam() {
        return commonParam;
    }

    /**
     * 设置 通用参数
     * @param commonParam
     */
    public void setCommonParam(CtrlCommonParamTbox commonParam) {
        this.commonParam = commonParam;
    }

    /**
     * 获取 天窗控制信息
     * Bit: 0-远程天窗开关
     * @return
     */
    public CtrlCommonInfo getTopWindowsCtrlInfo() {
        return topWindowsCtrlInfo;
    }

    /**
     * 设置 天窗控制信息
     * Bit: 0-远程天窗开关
     * @param topWindowsCtrlInfo
     */
    public void setTopWindowsCtrlInfo(CtrlCommonInfo topWindowsCtrlInfo) {
        this.topWindowsCtrlInfo = topWindowsCtrlInfo;
    }

    /**
     * 获取 状态信息
     * @return
     */
    public TopWindowsStateInfo getTopWindowsStateInfo() {
        return topWindowsStateInfo;
    }

    /**
     * 设置 状态信息
     * @param topWindowsStateInfo
     */
    public void setTopWindowsStateInfo(TopWindowsStateInfo topWindowsStateInfo) {
        this.topWindowsStateInfo = topWindowsStateInfo;
    }
}
