package com.mxnavi.tspv2.remotecontrol.model;

/**
 * Created by zhaoll on 2018/8/8.
 *
 * 请求信息
 */
public class DeviceRequsetUploadMsg {
    /**
     * 车机上传共同属性
     */
    private DeviceUploadCommonMsg deviceUploadCommon;
    /**
     * 经度
     */
    private Double lon;
    /**
     * 纬度
     */
    private Double lat;
    /**
     * 记录上传时间，格式为：UNIX时间戳
     */
    private long time;
    /**
     * 要上传的文件名,文件名只能包含数字、英文字母、下划线
     */
    private String fileName;

    /**
     * 获取 车机上传共同属性
     * @return the device upload common
     */
    public DeviceUploadCommonMsg getDeviceUploadCommon() {
        return deviceUploadCommon;
    }

    /**
     * 设置 车机上传共同属性
     * @param deviceUploadCommon the device upload common
     */
    public void setDeviceUploadCommon(DeviceUploadCommonMsg deviceUploadCommon) {
        this.deviceUploadCommon = deviceUploadCommon;
    }

    /**
     * 获取 经度
     * @return the lon
     */
    public Double getLon() {
        return lon;
    }

    /**
     * 设置 经度
     * @param lon the lon
     */
    public void setLon(Double lon) {
        this.lon = lon;
    }
    
    /**
     * 获取 纬度
     * @return the lat
     */
    public Double getLat() {
        return lat;
    }

    /**
     * 设置 纬度
     * @param lat the lat
     */
    public void setLat(Double lat) {
        this.lat = lat;
    }

    /**
     * 获取 记录上传时间，格式为：UNIX时间戳
     * @return the time
     */
    public long getTime() {
        return time;
    }

    /**
     * 设置 记录上传时间，格式为：UNIX时间戳
     * @param time the time
     */
    public void setTime(long time) {
        this.time = time;
    }

    /**
     * 获取 要上传的文件名,文件名只能包含数字、英文字母、下划线
     * @return the file name
     */
    public String getFileName() {
        return fileName;
    }

    /**
     * 设置 要上传的文件名,文件名只能包含数字、英文字母、下划线
     * @param fileName the file name
     */
    public void setFileName(String fileName) {
        this.fileName = fileName;
    }
}
