package com.mxnavi.tspv2.remotecontrol.model;

/**
 * Created by zhaoll on 2018/8/8.
 * <p>
 * 响应信息
 */
public class DeviceResponseUploadMsg {
    /**
     * 车机上传共同属性
     */
    private DeviceUploadCommonMsg deviceUploadCommon;
    /**
     * 结果状态 100：成功-100：失败-10001：发送信息失败
     */
    private Integer respCode;
    /**
     * 终端请求的文件名
     */
    private String fullName;
    /**
     * 上传所需参数，里面是json数据格式key，value的形式，键值对数量可能为多个。
     */
    private String params;
    /**
     * 上传地址(upyun)
     */
    private String uploadUrl;


    /**
     * 获取 车机上传共同属性
     *
     * @return the device upload common
     */
    public DeviceUploadCommonMsg getDeviceUploadCommon() {
        return deviceUploadCommon;
    }

    /**
     * 设置 车机上传共同属性
     *
     * @param deviceUploadCommon the device upload common
     */
    public void setDeviceUploadCommon(DeviceUploadCommonMsg deviceUploadCommon) {
        this.deviceUploadCommon = deviceUploadCommon;
    }

    /**
     * 获取 结果状态 100：成功-100：失败-10001：发送信息失败
     *
     * @return the resp code
     */
    public Integer getRespCode() {
        return respCode;
    }

    /**
     * 设置 结果状态 100：成功-100：失败-10001：发送信息失败
     *
     * @param respCode the resp code
     */
    public void setRespCode(Integer respCode) {
        this.respCode = respCode;
    }

    /**
     * 获取 终端请求的文件名
     *
     * @return the full name
     */
    public String getFullName() {
        return fullName;
    }

    /**
     * 设置 终端请求的文件名
     *
     * @param fullName the full name
     */
    public void setFullName(String fullName) {
        this.fullName = fullName;
    }

    /**
     * 获取 上传所需参数，里面是json数据格式key，value的形式，键值对数量可能为多个。
     *
     * @return the params
     */
    public String getParams() {
        return params;
    }

    /**
     * 设置 上传所需参数，里面是json数据格式key，value的形式，键值对数量可能为多个。
     *
     * @param params the params
     */
    public void setParams(String params) {
        this.params = params;
    }

    /**
     * 获取 上传地址(upyun)
     *
     * @return the upload url
     */
    public String getUploadUrl() {
        return uploadUrl;
    }

    /**
     * 设置 上传地址(upyun)
     *
     * @param uploadUrl the upload url
     */
    public void setUploadUrl(String uploadUrl) {
        this.uploadUrl = uploadUrl;
    }
}
