package com.mxnavi.tspv2.remotecontrol.model;

/**
 * Created by zhaoll on 2018/9/26.
 * 诊断类别信息
 */

public class DiagnosisTypeInfo {
    /**
     * 类别标识
     */
    DiagnosisType diagnosisType;
    /**
     * 诊断CODE
     */
    int errCode;

    /**
     * 获取 类别标识
     * @return
     */
    public DiagnosisType getDiagnosisType() {
        return diagnosisType;
    }

    /**
     * 设置 类别标识
     * @param diagnosisType
     */
    public void setDiagnosisType(DiagnosisType diagnosisType) {
        this.diagnosisType = diagnosisType;
    }

    /**
     * 获取 诊断CODE
     * @return
     */
    public int getErrCode() {
        return errCode;
    }

    /**
     * 设置 诊断CODE
     * @param errCode
     */
    public void setErrCode(int errCode) {
        this.errCode = errCode;
    }

    public static enum DiagnosisType{
        DIAG_TYPE_ALL(255),
        DIAG_TYPE_AFS(1),
        DIAG_TYPE_SAS(2),
        DIAG_TYPE_APA(3),
        DIAG_TYPE_SRS(4),
        DIAG_TYPE_BCM(5),
        DIAG_TYPE_IC(6),
        DIAG_TYPE_PEPS(7),
        DIAG_TYPE_AC(8),
        DIAG_TYPE_TPMS(9),
        DIAG_TYPE_DVD(10),
        DIAG_TYPE_PRM(11),
        DIAG_TYPE_SCM(12),
        DIAG_TYPE_TBOX(13),
        DIAG_TYPE_NVS(14),
        DIAG_TYPE_HUD(15),
        DIAG_TYPE_AVM(16),
        DIAG_TYPE_LDW(17),
        DIAG_TYPE_BSD(18),
        DIAG_TYPE_DR(19),
        DIAG_TYPE_GW(20),
        DIAG_TYPE_AC_COMPRESSOR(21),
        DIAG_TYPE_MP5CP(22);

        private int value;

        DiagnosisType(int value) {
            this.value = value;
        }

        public int getValue() {
            return value;
        }
    }
}


