package com.mxnavi.tspv2.remotecontrol.model;

/**
 * Created by zhaoll on 2018/8/22.
 * 电子钥匙状态信息
 */

public class EkeyStateInfo {
    /**
     * 远程使能功能允许/禁止（解除防盗）状态
     * 0x0: Normal
     * 0x1: 车身解防模式
     * 0x2: 车身设防模式
     * 0x3: 车身报警状态
     * 0xFF: 无效
     */
    Integer remoteEnable;

    /**
     * 获取 远程使能功能允许/禁止（解除防盗）状态
     * 0x0: Normal
     * 0x1: 车身解防模式
     * 0x2: 车身设防模式
     * 0x3: 车身报警状态
     * 0xFF: 无效
     * @return
     */
    public Integer getRemoteEnable() {
        return remoteEnable;
    }

    /**
     * 设置 远程使能功能允许/禁止（解除防盗）状态
     * 0x0: Normal
     * 0x1: 车身解防模式
     * 0x2: 车身设防模式
     * 0x3: 车身报警状态
     * 0xFF: 无效
     * @param remoteEnable
     */
    public void setRemoteEnable(Integer remoteEnable) {
        this.remoteEnable = remoteEnable;
    }
}
