package com.mxnavi.tspv2.remotecontrol.model;

/**
 * Created by cikai on 2018/8/8.
 * <p>
 * 里程信息
 */
public class StateMileageMsg {
    /**
     * 累计里程（总里程）
     * 有效值范围0x00-0xFFFFFE(表示0-‭1677721.4‬km)最小单位0.1，0xFFFFFF:无效
     */
    private Integer odoMileage;
    /**
     * 小计里程
     * 有效值范围0x00-0xFFFFFE(表示0-‭1677721.4‬km)最小单位0.1，0xFFFFFF:无效
     */
    private Integer tripMileage;
    /**
     * 续航里程
     * 有效值范围0x00-0xFFE 最小单位0.1，0xFFFF:无效
     */
    private Integer enduranceMileage;

    /**
     * 获取 累计里程（总里程）
     * 有效值范围0x00-0xFFFFFE(表示0-‭1677721.4‬km)最小单位0.1，0xFFFFFF:无效
     * @return
     */
    public Integer getOdoMileage() {
        return odoMileage;
    }

    /**
     * 设置 累计里程（总里程）
     * 有效值范围0x00-0xFFFFFE(表示0-‭1677721.4‬km)最小单位0.1，0xFFFFFF:无效
     * @param odoMileage
     */
    public void setOdoMileage(Integer odoMileage) {
        this.odoMileage = odoMileage;
    }

    /**
     * 获取 小计里程
     * 有效值范围0x00-0xFFFFFE(表示0-‭1677721.4‬km)最小单位0.1，0xFFFFFF:无效
     * @return
     */
    public Integer getTripMileage() {
        return tripMileage;
    }

    /**
     * 设置 小计里程
     * 有效值范围0x00-0xFFFFFE(表示0-‭1677721.4‬km)最小单位0.1，0xFFFFFF:无效
     * @param tripMileage
     */
    public void setTripMileage(Integer tripMileage) {
        this.tripMileage = tripMileage;
    }

    /**
     * 获取 续航里程
     * 有效值范围0x00-0xFFE 最小单位0.1，0xFFFF:无效
     * @return
     */
    public Integer getEnduranceMileage() {
        return enduranceMileage;
    }

    /**
     * 设置 续航里程
     * 有效值范围0x00-0xFFE 最小单位0.1，0xFFFF:无效
     * @param enduranceMileage
     */
    public void setEnduranceMileage(Integer enduranceMileage) {
        this.enduranceMileage = enduranceMileage;
    }
}
