package com.mxnavi.tspv2.search.model;

import android.os.Parcel;
import android.os.Parcelable;

import com.mxnavi.tspv2.model.LatLng;

/**
 * Created by lenovo on 2016/12/8.
 */

public class DistInfo implements Parcelable {
    String adminCode;
    String provinceName;
    String cityName;
    String districtName;
    String provinceNameEn;
    String cityNameEn;
    String distNameEn;
    String provinceAllLetters;
    String cityAllLetters;
    String districtAllLetters;
    String provinceFirstLetters;
    String cityFirstLetters;
    String districtFirstLetters;
    String provCode;
    String cityCode;
    LatLng distLatLng;
    LatLng leftBottomLatLng;
    LatLng rightTopLatLng;

    public DistInfo(){

    }
    /**
     * 获取 行政区编码
     * @return
     */
    public String getAdminCode() {
        return adminCode;
    }

    /**
     * 设置 行政区编码
     * @param adminCode
     */
    public void setAdminCode(String adminCode) {
        this.adminCode = adminCode;
    }

    /**
     * 获取 省级行政区名
     * @return
     */
    public String getProvinceName() {
        return provinceName;
    }

    /**
     * 设置 省级行政区名
     * @param provinceName
     */
    public void setProvinceName(String provinceName) {
        this.provinceName = provinceName;
    }

    /**
     * 获取 市级行政区名
     * @return
     */
    public String getCityName() {
        return cityName;
    }

    /**
     * 设置 市级行政区名
     * @param cityName
     */
    public void setCityName(String cityName) {
        this.cityName = cityName;
    }

    /**
     * 获取 区级行政区名
     * @return
     */
    public String getDistrictName() {
        return districtName;
    }

    /**
     * 设置 区级行政区名
     * @param districtName
     */
    public void setDistrictName(String districtName) {
        this.districtName = districtName;
    }

    /**
     * 获取 市级行政区名—英文
     * @return
     */
    public String getCityNameEn() {
        return cityNameEn;
    }

    /**
     * 设置 市级行政区名—英文
     * @param cityNameEn
     */
    public void setCityNameEn(String cityNameEn) {
        this.cityNameEn = cityNameEn;
    }

    /**
     * 获取 市级行政区全拼
     * @return
     */
    public String getCityAllLetters() {
        return cityAllLetters;
    }

    /**
     * 设置 市级行政区全拼
     * @param cityAllLetters
     */
    public void setCityAllLetters(String cityAllLetters) {
        this.cityAllLetters = cityAllLetters;
    }

    /**
     * 获取 省级行政区名—英文
     * @return
     */
    public String getProvinceNameEn() {
        return provinceNameEn;
    }

    /**
     * 设置 省级行政区名—英文
     * @param provinceNameEn
     */
    public void setProvinceNameEn(String provinceNameEn) {
        this.provinceNameEn = provinceNameEn;
    }

    /**
     * 获取 区级行政区名—英文
     * @return
     */
    public String getDistNameEn() {
        return distNameEn;
    }

    /**
     * 设置 区级行政区名—英文
     * @param distNameEn
     */
    public void setDistNameEn(String distNameEn) {
        this.distNameEn = distNameEn;
    }

    /**
     * 获取 省级行政区全拼
     * @return
     */
    public String getProvinceAllLetters() {
        return provinceAllLetters;
    }

    /**
     * 设置 省级行政区全拼
     * @param provinceAllLetters
     */
    public void setProvinceAllLetters(String provinceAllLetters) {
        this.provinceAllLetters = provinceAllLetters;
    }

    /**
     * 获取 区级行政区全拼
     * @return
     */
    public String getDistrictAllLetters() {
        return districtAllLetters;
    }

    /**
     * 设置 区级行政区全拼
     * @param districtAllLetters
     */
    public void setDistrictAllLetters(String districtAllLetters) {
        this.districtAllLetters = districtAllLetters;
    }

    /**
     * 获取 省级行政区简拼
     * @return
     */
    public String getProvinceFirstLetters() {
        return provinceFirstLetters;
    }

    /**
     * 设置 省级行政区简拼
     * @param provinceFirstLetters
     */
    public void setProvinceFirstLetters(String provinceFirstLetters) {
        this.provinceFirstLetters = provinceFirstLetters;
    }

    /**
     * 获取 市级行政区简拼
     * @return
     */
    public String getCityFirstLetters() {
        return cityFirstLetters;
    }

    /**
     * 设置 市级行政区简拼
     * @param cityFirstLetters
     */
    public void setCityFirstLetters(String cityFirstLetters) {
        this.cityFirstLetters = cityFirstLetters;
    }

    /**
     * 获取 区级行政区简拼
     * @return
     */
    public String getDistrictFirstLetters() {
        return districtFirstLetters;
    }

    /**
     * 设置 区级行政区简拼
     * @param districtFirstLetters
     */
    public void setDistrictFirstLetters(String districtFirstLetters) {
        this.districtFirstLetters = districtFirstLetters;
    }

    /**
     * 获取 省级行政区编码
     * @return
     */
    public String getProvCode() {
        return provCode;
    }

    /**
     * 设置 省级行政区编码
     * @param provCode
     */
    public void setProvCode(String provCode) {
        this.provCode = provCode;
    }

    /**
     * 获取 市级行政区编码
     * @return
     */
    public String getCityCode() {
        return cityCode;
    }

    /**
     * 设置 市级行政区编码
     * @param cityCode
     */
    public void setCityCode(String cityCode) {
        this.cityCode = cityCode;
    }

    /**
     * 获取 行政区经纬度
     * @return
     */
    public LatLng getDistLatLng() {
        return distLatLng;
    }

    /**
     * 设置 行政区经纬度
     * @param distLatLng
     */
    public void setDistLatLng(LatLng distLatLng) {
        this.distLatLng = distLatLng;
    }

    /**
     * 获取 左下经纬度
     * @return
     */
    public LatLng getLeftBottomLatLng() {
        return leftBottomLatLng;
    }

    /**
     * 设置 左下经纬度
     * @param leftBottomLatLng
     */
    public void setLeftBottomLatLng(LatLng leftBottomLatLng) {
        this.leftBottomLatLng = leftBottomLatLng;
    }

    /**
     * 获取 右上经纬度
     * @return
     */
    public LatLng getRightTopLatLng() {
        return rightTopLatLng;
    }

    /**
     * 设置 右上经纬度
     * @param rightTopLatLng
     */
    public void setRightTopLatLng(LatLng rightTopLatLng) {
        this.rightTopLatLng = rightTopLatLng;
    }
    protected DistInfo(Parcel in) {
        adminCode = in.readString();
        provinceName = in.readString();
        cityName = in.readString();
        districtName = in.readString();
        provinceNameEn = in.readString();
        cityNameEn = in.readString();
        distNameEn = in.readString();
        provinceAllLetters = in.readString();
        cityAllLetters = in.readString();
        districtAllLetters = in.readString();
        provinceFirstLetters = in.readString();
        cityFirstLetters = in.readString();
        districtFirstLetters = in.readString();
        provCode = in.readString();
         cityCode = in.readString();
        distLatLng = in.readParcelable(LatLng.class.getClassLoader());
        leftBottomLatLng = in.readParcelable(LatLng.class.getClassLoader());
        rightTopLatLng = in.readParcelable(LatLng.class.getClassLoader());

    }
    public static final Creator<DistInfo> CREATOR = new Creator<DistInfo>() {
        @Override
        public DistInfo createFromParcel(Parcel in) {
            return new DistInfo(in);
        }

        @Override
        public DistInfo[] newArray(int size) {
            return new DistInfo[size];
        }
    };
    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(adminCode);
        dest.writeString(provinceName);
        dest.writeString(cityName);
        dest.writeString(districtName);
        dest.writeString(provinceNameEn);
        dest.writeString(cityNameEn);
        dest.writeString(distNameEn);
        dest.writeString(provinceAllLetters);
        dest.writeString(cityAllLetters);
        dest.writeString(districtAllLetters);
        dest.writeString(provinceFirstLetters);
        dest.writeString(cityFirstLetters);
        dest.writeString(districtFirstLetters);
        dest.writeString(provCode);
        dest.writeString(cityCode);
        dest.writeParcelable(distLatLng,flags);
        dest.writeParcelable(leftBottomLatLng,flags);
        dest.writeParcelable(rightTopLatLng,flags);
    }
}
