package com.mxnavi.tspv2.sendtocar.model;

import android.os.Parcel;
import android.os.Parcelable;

/**
 * Created by lenovo on 2016/6/21.
 */
public class PushMessageInfo implements Parcelable {
	String vin;
	String productId;
	String userId;
	String weixinOpenId;
	String wecarId;
	String msgId;
	Content content;

	public PushMessageInfo() {

	}

	/**
	 * 获取 车机序列号
	 * 
	 * @return
	 */
	public String getVin() {
		return vin;
	}

	/**
	 * 设置 车机序列号
	 * 
	 * @param vin
	 */
	public void setVin(String vin) {
		this.vin = vin;
	}

	/**
	 * 获取 产品系列
	 * 
	 * @return
	 */
	public String getProductId() {
		return productId;
	}

	/**
	 * 设置 产品系列
	 * 
	 * @param productId
	 */
	public void setProductId(String productId) {
		this.productId = productId;
	}

	/**
	 * 获取 用户ID
	 * 
	 * @return
	 */
	public String getUserId() {
		return userId;
	}

	/**
	 * 设置 用户ID
	 * 
	 * @param userId
	 */
	public void setUserId(String userId) {
		this.userId = userId;
	}

	/**
	 * 获取 用户的微信账号ID
	 * 
	 * @return
	 */
	public String getWeixinOpenId() {
		return weixinOpenId;
	}

	/**
	 * 设置 用户的微信账号ID
	 * 
	 * @param weixinOpenId
	 */
	public void setWeixinOpenId(String weixinOpenId) {
		this.weixinOpenId = weixinOpenId;
	}

	/**
	 * 获取 腾讯定义的车辆ID
	 * 
	 * @return
	 */
	public String getWecarId() {
		return wecarId;
	}

	/**
	 * 设置 腾讯定义的车辆ID
	 * 
	 * @param wecarId
	 */
	public void setWecarId(String wecarId) {
		this.wecarId = wecarId;
	}

	/**
	 * 获取 消息ID
	 * 
	 * @return
	 */
	public String getMsgId() {
		return msgId;
	}

	/**
	 * 设置 消息ID
	 * 
	 * @param msgId
	 */
	public void setMsgId(String msgId) {
		this.msgId = msgId;
	}

	/**
	 * 获取 消息内容
	 * 
	 * @return
	 */
	public Content getContent() {
		return content;
	}

	/**
	 * 设置 消息内容
	 * 
	 * @param content
	 */
	public void setContent(Content content) {
		this.content = content;
	}

	protected PushMessageInfo(Parcel in) {

		vin = in.readString();
		productId = in.readString();
		userId = in.readString();
		weixinOpenId = in.readString();
		wecarId = in.readString();
		msgId = in.readString();

		content = in.readParcelable(Content.class.getClassLoader());
	}

	public static final Creator<PushMessageInfo> CREATOR = new Creator<PushMessageInfo>() {
		@Override
		public PushMessageInfo createFromParcel(Parcel in) {
			return new PushMessageInfo(in);
		}

		@Override
		public PushMessageInfo[] newArray(int size) {
			return new PushMessageInfo[size];
		}
	};

	@Override
	public int describeContents() {
		return 0;
	}

	@Override
	public void writeToParcel(Parcel dest, int flags) {
		dest.writeString(vin);
		dest.writeString(productId);
		dest.writeString(userId);
		dest.writeString(weixinOpenId);
		dest.writeString(wecarId);
		dest.writeString(msgId);
		dest.writeParcelable(content, flags);
	}
}
