package com.mxnavi.tspv2.sendtocar.model;


import android.os.Parcel;
import android.os.Parcelable;

/**
 * Created by Administrator on 2016/4/15.
 * desc
 */
public class WeChatDeviceInfo implements Parcelable {
    String vin;
    String productId;
    String weChatCarId;
    String weChatOpenId;

    public WeChatDeviceInfo(){
    	
    }
    /**
     * 获取 设备ID
     * @return
     */
    public String getVin() {
        return vin;
    }

    /**
     * 设置 设备ID
     * @param vin
     */
    public void setVin(String vin) {
        this.vin = vin;
    }

    /**
     * 获取 产品系列
     * @return
     */
    public String getProductId() {
        return productId;
    }

    /**
     * 设置 产品系列
     * @param productId
     */
    public void setProductId(String productId) {
        this.productId = productId;
    }

    /**
     * 获取腾讯定义的车辆ID
     * @return
     */
    public String getWeChatCarId() {
        return weChatCarId;
    }

    /**
     * 设置腾讯定义的车辆ID
     * @param weChatCarId 腾讯定义的车辆ID
     */
    public void setWeChatCarId(String weChatCarId) {
        this.weChatCarId = weChatCarId;
    }

    /**
     * 获取车辆绑定时获取的用户的微信账号ID
     * @return
     */
    public String getWeChatOpenId() {
        return weChatOpenId;
    }

    /**
     * 设置车辆绑定时获取的用户的微信账号ID
     * @param weChatOpenId 车辆绑定时获取的用户的微信账号ID
     */
    public void setWeChatOpenId(String weChatOpenId) {
        this.weChatOpenId = weChatOpenId;
    }
    protected WeChatDeviceInfo(Parcel in) {
    	    vin = in.readString();
    	    productId = in.readString();
    	    weChatCarId = in.readString();
    	    weChatOpenId = in.readString();
    }
    public static final Parcelable.Creator<WeChatDeviceInfo> CREATOR = new Parcelable.Creator<WeChatDeviceInfo>() {
        @Override
        public WeChatDeviceInfo createFromParcel(Parcel in) {
            return new WeChatDeviceInfo(in);
        }

        @Override
        public WeChatDeviceInfo[] newArray(int size) {
            return new WeChatDeviceInfo[size];
        }
    };
    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(vin);
        dest.writeString(productId);
        dest.writeString(weChatCarId);
        dest.writeString(weChatOpenId);
    }
}
