package com.mxnavi.tspv2.user.model;

/**
 *
 * @author zhw
 * @date 2018/7/31
 */
public class SendSmsInfo {
	/**
	 * 要发送的电话号码
	 */
	private String destNo;
	/**
	 * 短信内容 字数(不能超过50个)
	 */
	private String smsInfo;
	/**
	 * 短信模板ID
	 */
	private String type;
	/**
	 * 产品系列id
	 * (决定短信中的签名是哪个，美行的签名该字段不传，其他公司的签名请联系server进行添加)
	 */
	private String productId;
	
	/**
	 * 获取要发送的电话号码
	 *
	 * @return the dest no
	 */
	public String getDestNo() {
		return destNo;
	}
	
	/**
	 * 设置要发送的电话号码
	 *
	 * @param destNo the dest no
	 */
	public void setDestNo(String destNo) {
		this.destNo = destNo;
	}
	
	/**
	 * 获取短信内容
	 *
	 * @return the sms info
	 */
	public String getSmsInfo() {
		return smsInfo;
	}
	
	/**
	 * 设置短信内容
	 *
	 * @param smsInfo the sms info
	 */
	public void setSmsInfo(String smsInfo) {
		this.smsInfo = smsInfo;
	}
	
	/**
	 * 获取短信模板ID
	 *
	 * @return the type
	 */
	public String getType() {
		return type;
	}
	
	/**
	 * 设置短信模板ID
	 *
	 * @param type the type
	 */
	public void setType(String type) {
		this.type = type;
	}
	
	/**
	 * 获取产品系列ID
	 *
	 * @return the product id
	 */
	public String getProductId() {
		return productId;
	}
	
	/**
	 * 设置产品系列ID
	 *
	 * @param productId the product id
	 */
	public void setProductId(String productId) {
		this.productId = productId;
	}
}
