package com.mxnavi.tspv2.userauth.model;

import android.os.Parcel;
import android.os.Parcelable;

/**
 * Created by lenovo on 2016/5/23.
 */
public class Param implements Parcelable {
    String name;
    String value;

    public Param() {
    }

    /**
     * 获取参数名称
     * @return
     */
    public String getName() {
        return name;
    }

    /**
     * 设置参数名称
     * @param name
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * 获取参数值
     * @return
     */
    public String getValue() {
        return value;
    }

    /**
     * 设置参数值
     * @param value
     */
    public void setValue(String value) {
        this.value = value;
    }

    protected Param(Parcel in) {
        name = in.readString();
        value = in.readString();
    }
    public static final Creator<Param> CREATOR = new Creator<Param>() {
        @Override
        public Param createFromParcel(Parcel in) {
            return new Param(in);
        }

        @Override
        public Param[] newArray(int size) {
            return new Param[size];
        }
    };
    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(name);
        dest.writeString(value);
    }
}
