package com.mxnavi.tspv2.userauth.model;

/**
 * Created by Administrator on 2018/1/30.
 */

public class UserInfoResult extends AuthenticationInfo{
    String userName;
    String productId;
    String typeId;
    String groupId;
    String fleetId;
    String nickName;
    String avatar;
    String phone;
    String mail;
    String mailActivation;
    String password;
    String salt;
    String gender;
    String address;
    String companyName;
    String departmentName;
    String jobName;
    String reason;
    String createUserId;
    String createTime;
    String updateTime;
    String delFlag;
    String eCallContactName;
    String eCallContactPhone;
    String eCallContactRelationship;
    String pinPassword;
    String pinSalt;

    /**
     * 获取用户名
     * @return
     */
    public String getUserName() {
        return userName;
    }

    /**
     * 设置用户名
     * @param userName
     */
    public void setUserName(String userName) {
        this.userName = userName;
    }

    /**
     * 获取产品系列
     * @return
     */
    public String getProductId() {
        return productId;
    }

    /**
     * 设置产品系列
     * @param productId
     */
    public void setProductId(String productId) {
        this.productId = productId;
    }

    /**
     * 获取类型ID
     * @return
     */
    public String getTypeId() {
        return typeId;
    }

    /**
     * 设置类型ID
     * @param typeId
     */
    public void setTypeId(String typeId) {
        this.typeId = typeId;
    }

    /**
     * 获取集团ID
     * @return
     */
    public String getGroupId() {
        return groupId;
    }

    /**
     * 设置集团ID
     * @param groupId
     */
    public void setGroupId(String groupId) {
        this.groupId = groupId;
    }

    /**
     * 获取车队ID
     * @return
     */
    public String getFleetId() {
        return fleetId;
    }

    /**
     * 设置车队ID
     * @param fleetId
     */
    public void setFleetId(String fleetId) {
        this.fleetId = fleetId;
    }

    /**
     * 获取昵称
     * @return
     */
    public String getNickName() {
        return nickName;
    }

    /**
     * 设置昵称
     * @param nickName
     */
    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    /**
     * 获取头像url
     * @return
     */
    public String getAvatar() {
        return avatar;
    }

    /**
     * 设置头像url
     * @param avatar
     */
    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    /**
     * 获取电话
     * @return
     */
    public String getPhone() {
        return phone;
    }

    /**
     * 设置电话
     * @param phone
     */
    public void setPhone(String phone) {
        this.phone = phone;
    }

    /**
     * 获取邮箱
     * @return
     */
    public String getMail() {
        return mail;
    }

    /**
     * 设置邮箱
     * @param mail
     */
    public void setMail(String mail) {
        this.mail = mail;
    }

    /**
     * 获取邮箱激活状态（0：未激活 1：已激活）
     * @return
     */
    public String getMailActivation() {
        return mailActivation;
    }

    /**
     * 设置邮箱激活状态（0：未激活 1：已激活）
     * @param mailActivation
     */
    public void setMailActivation(String mailActivation) {
        this.mailActivation = mailActivation;
    }

    /**
     * 获取密码
     * @return
     */
    public String getPassword() {
        return password;
    }

    /**
     * 设置密码
     * @param password
     */
    public void setPassword(String password) {
        this.password = password;
    }

    /**
     * 获取密码秘钥
     * @return
     */
    public String getSalt() {
        return salt;
    }

    /**
     * 设置密码秘钥
     * @param salt
     */
    public void setSalt(String salt) {
        this.salt = salt;
    }

    /**
     * 获取性别（1：男 2：女）
     * @return
     */
    public String getGender() {
        return gender;
    }

    /**
     * 设置性别（1：男 2：女）
     * @param gender
     */
    public void setGender(String gender) {
        this.gender = gender;
    }

    /**
     * 获取地址
     * @return
     */
    public String getAddress() {
        return address;
    }

    /**
     * 设置地址
     * @param address
     */
    public void setAddress(String address) {
        this.address = address;
    }

    /**
     * 获取单位
     * @return
     */
    public String getCompanyName() {
        return companyName;
    }

    /**
     * 设置单位
     * @param companyName
     */
    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    /**
     * 获取部门
     * @return
     */
    public String getDepartmentName() {
        return departmentName;
    }

    /**
     * 设置部门
     * @param departmentName
     */
    public void setDepartmentName(String departmentName) {
        this.departmentName = departmentName;
    }

    /**
     * 获取职位
     * @return
     */
    public String getJobName() {
        return jobName;
    }

    /**
     *
     * @param jobName
     */
    public void setJobName(String jobName) {
        this.jobName = jobName;
    }

    /**
     * 获取原因
     * @return
     */
    public String getReason() {
        return reason;
    }

    /**
     * 设置原因
     * @param reason
     */
    public void setReason(String reason) {
        this.reason = reason;
    }

    /**
     * 获取紧急联系人
     * @return
     */
    public String geteCallContactName() {
        return eCallContactName;
    }

    /**
     * 设置紧急联系人
     * @param eCallContactName
     */
    public void seteCallContactName(String eCallContactName) {
        this.eCallContactName = eCallContactName;
    }

    /**
     * 获取紧急联系人电话
     * @return
     */
    public String geteCallContactPhone() {
        return eCallContactPhone;
    }

    /**
     * 设置紧急联系人电话
     * @param eCallContactPhone
     */
    public void seteCallContactPhone(String eCallContactPhone) {
        this.eCallContactPhone = eCallContactPhone;
    }

    /**
     * 获取紧急联系人关系
     * @return
     */
    public String geteCallContactRelationship() {
        return eCallContactRelationship;
    }

    /**
     * 设置紧急联系人关系
     * @param eCallContactRelationship
     */
    public void seteCallContactRelationship(String eCallContactRelationship) {
        this.eCallContactRelationship = eCallContactRelationship;
    }

    /**
     * 获取Pin密码
     * @return
     */
    public String getPinPassword() {
        return pinPassword;
    }

    /**
     * 设置Pin密码
     * @param pinPassword
     */
    public void setPinPassword(String pinPassword) {
        this.pinPassword = pinPassword;
    }

    /**
     * 获取Pin密码秘钥
     * @return
     */
    public String getPinSalt() {
        return pinSalt;
    }

    /**
     * 设置Pin密码秘钥
     * @param pinSalt
     */
    public void setPinSalt(String pinSalt) {
        this.pinSalt = pinSalt;
    }

    /**
     * 获取创建者用户ID
     * @return
     */
    public String getCreateUserId() {
        return createUserId;
    }

    /**
     * 设置创建者用户ID
     * @param createUserId
     */
    public void setCreateUserId(String createUserId) {
        this.createUserId = createUserId;
    }

    /**
     * 获取创建时间
     * @return
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 设置创建时间
     * @param createTime
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 获取更新时间
     * @return
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 设置更新时间
     * @param updateTime
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 获取删除标识（0：已删除 1：未删除）
     * @return
     */
    public String getDelFlag() {
        return delFlag;
    }

    /**
     * 设置删除标识（0：已删除 1：未删除）
     * @param delFlag
     */
    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }
}
